/* InkLevel.c generated by valac 0.34.4, the Vala compiler
 * generated from InkLevel.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2015 Pantheon Developers (https://launchpad.net/switchboard-plug-printers)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authored by: Corentin Noël <corentin@elementary.io>
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <gee.h>
#include <stdlib.h>
#include <string.h>
#include <float.h>
#include <math.h>
#include <glib/gi18n-lib.h>
#include <cups/cups.h>
#include <cups/ipp.h>
#include <gdk/gdk.h>


#define PRINTERS_TYPE_INK_LEVEL (printers_ink_level_get_type ())
#define PRINTERS_INK_LEVEL(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), PRINTERS_TYPE_INK_LEVEL, PrintersInkLevel))
#define PRINTERS_INK_LEVEL_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), PRINTERS_TYPE_INK_LEVEL, PrintersInkLevelClass))
#define PRINTERS_IS_INK_LEVEL(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PRINTERS_TYPE_INK_LEVEL))
#define PRINTERS_IS_INK_LEVEL_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PRINTERS_TYPE_INK_LEVEL))
#define PRINTERS_INK_LEVEL_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), PRINTERS_TYPE_INK_LEVEL, PrintersInkLevelClass))

typedef struct _PrintersInkLevel PrintersInkLevel;
typedef struct _PrintersInkLevelClass PrintersInkLevelClass;
typedef struct _PrintersInkLevelPrivate PrintersInkLevelPrivate;

#define PRINTERS_TYPE_PRINTER (printers_printer_get_type ())
#define PRINTERS_PRINTER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), PRINTERS_TYPE_PRINTER, PrintersPrinter))
#define PRINTERS_PRINTER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), PRINTERS_TYPE_PRINTER, PrintersPrinterClass))
#define PRINTERS_IS_PRINTER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PRINTERS_TYPE_PRINTER))
#define PRINTERS_IS_PRINTER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PRINTERS_TYPE_PRINTER))
#define PRINTERS_PRINTER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), PRINTERS_TYPE_PRINTER, PrintersPrinterClass))

typedef struct _PrintersPrinter PrintersPrinter;
typedef struct _PrintersPrinterClass PrintersPrinterClass;

#define PRINTERS_INK_LEVEL_TYPE_COLOR_LEVEL (printers_ink_level_color_level_get_type ())
#define PRINTERS_INK_LEVEL_COLOR_LEVEL(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), PRINTERS_INK_LEVEL_TYPE_COLOR_LEVEL, PrintersInkLevelColorLevel))
#define PRINTERS_INK_LEVEL_COLOR_LEVEL_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), PRINTERS_INK_LEVEL_TYPE_COLOR_LEVEL, PrintersInkLevelColorLevelClass))
#define PRINTERS_INK_LEVEL_IS_COLOR_LEVEL(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PRINTERS_INK_LEVEL_TYPE_COLOR_LEVEL))
#define PRINTERS_INK_LEVEL_IS_COLOR_LEVEL_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PRINTERS_INK_LEVEL_TYPE_COLOR_LEVEL))
#define PRINTERS_INK_LEVEL_COLOR_LEVEL_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), PRINTERS_INK_LEVEL_TYPE_COLOR_LEVEL, PrintersInkLevelColorLevelClass))

typedef struct _PrintersInkLevelColorLevel PrintersInkLevelColorLevel;
typedef struct _PrintersInkLevelColorLevelClass PrintersInkLevelColorLevelClass;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
typedef struct _PrintersInkLevelColorLevelPrivate PrintersInkLevelColorLevelPrivate;
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
typedef struct _PrintersPrinterPrivate PrintersPrinterPrivate;
#define _ippDelete0(var) ((var == NULL) ? NULL : (var = (ippDelete (var), NULL)))

struct _PrintersInkLevel {
	GtkGrid parent_instance;
	PrintersInkLevelPrivate * priv;
};

struct _PrintersInkLevelClass {
	GtkGridClass parent_class;
};

struct _PrintersInkLevelPrivate {
	PrintersPrinter* printer;
	GeeArrayList* colors;
};

struct _PrintersInkLevelColorLevel {
	GObject parent_instance;
	PrintersInkLevelColorLevelPrivate * priv;
	gint level;
	gint level_max;
	gint level_min;
	gchar* color;
	gchar* name;
};

struct _PrintersInkLevelColorLevelClass {
	GObjectClass parent_class;
};

struct _PrintersPrinter {
	GObject parent_instance;
	PrintersPrinterPrivate * priv;
	cups_dest_t dest;
};

struct _PrintersPrinterClass {
	GObjectClass parent_class;
};


static gpointer printers_ink_level_parent_class = NULL;
static gpointer printers_ink_level_color_level_parent_class = NULL;

GType printers_ink_level_get_type (void) G_GNUC_CONST;
GType printers_printer_get_type (void) G_GNUC_CONST;
GType printers_ink_level_color_level_get_type (void) G_GNUC_CONST;
#define PRINTERS_INK_LEVEL_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), PRINTERS_TYPE_INK_LEVEL, PrintersInkLevelPrivate))
enum  {
	PRINTERS_INK_LEVEL_DUMMY_PROPERTY
};
#define PRINTERS_INK_LEVEL_STYLE_CLASS "@define-color levelbar_color %s;\n" \
"    .coloredlevelbar.fill-block {\n" \
"        background-color: @levelbar_color;\n" \
"\n" \
"        border: 1px solid shade (@levelbar_color, 0.90);\n" \
"        border-radius: 2.5px;\n" \
"        box-shadow: inset 0 0 0 1px alpha (#fff, 0.05),\n" \
"                    inset 0 1px 0 0 alpha (#fff, 0.35),\n" \
"                    inset 0 -1px 0 0 alpha (#fff, 0.15),\n" \
"                    0 1px 0 0 alpha (@bg_highlight_color, 0.15);\n" \
"        transition: all 100ms ease-in;\n" \
"        background-image: linear-gradient(to bottom,\n" \
"                                      shade (@levelbar_color, 1.30),\n" \
"                                      @levelbar_color);\n" \
"    }\n" \
"    .coloredlevelbar.fill-block.empty-fill-block {\n" \
"        background-color: shade (@bg_color, 0.95);\n" \
"        background-image: linear-gradient(to bottom,\n" \
"                                      shade (@bg_color, 0.95),\n" \
"                                      shade (@bg_color, 0.85)\n" \
"                                      );\n" \
"\n" \
"        border-color: alpha (#000, 0.25);\n" \
"        box-shadow: inset 0 0 0 1px alpha (@bg_highlight_color, 0.05)," \
"\n" \
"                    inset 0 1px 0 0 alpha (@bg_highlight_color, 0.45)," \
"\n" \
"                    inset 0 -1px 0 0 alpha (@bg_highlight_color, 0.15)" \
",\n" \
"                    0 1px 0 0 alpha (@bg_highlight_color, 0.15);\n" \
"    }\n" \
"    "
PrintersInkLevel* printers_ink_level_new (PrintersPrinter* printer);
PrintersInkLevel* printers_ink_level_construct (GType object_type, PrintersPrinter* printer);
static void printers_ink_level_populate_values (PrintersInkLevel* self);
static gchar* printers_ink_level_get_translated_name (PrintersInkLevel* self, const gchar* name);
PrintersInkLevelColorLevel* printers_ink_level_color_level_new (void);
PrintersInkLevelColorLevel* printers_ink_level_color_level_construct (GType object_type);
static gint __lambda46_ (PrintersInkLevel* self, PrintersInkLevelColorLevel* a, PrintersInkLevelColorLevel* b);
static gint ___lambda46__gcompare_data_func (gconstpointer a, gconstpointer b, gpointer self);
enum  {
	PRINTERS_INK_LEVEL_COLOR_LEVEL_DUMMY_PROPERTY
};
static void printers_ink_level_color_level_finalize (GObject* obj);
static void printers_ink_level_finalize (GObject* obj);
static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func);


static gpointer _g_object_ref0 (gpointer self) {
#line 62 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	return self ? g_object_ref (self) : NULL;
#line 148 "InkLevel.c"
}


PrintersInkLevel* printers_ink_level_construct (GType object_type, PrintersPrinter* printer) {
	PrintersInkLevel * self = NULL;
	GeeArrayList* _tmp0_ = NULL;
	PrintersPrinter* _tmp1_ = NULL;
	PrintersPrinter* _tmp2_ = NULL;
	GError * _inner_error_ = NULL;
#line 57 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	g_return_val_if_fail (printer != NULL, NULL);
#line 57 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	self = (PrintersInkLevel*) g_object_new (object_type, NULL);
#line 58 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	gtk_orientable_set_orientation ((GtkOrientable*) self, GTK_ORIENTATION_HORIZONTAL);
#line 59 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	g_object_set ((GtkWidget*) self, "height-request", 100, NULL);
#line 60 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	gtk_grid_set_column_spacing ((GtkGrid*) self, 6);
#line 61 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp0_ = gee_array_list_new (PRINTERS_INK_LEVEL_TYPE_COLOR_LEVEL, (GBoxedCopyFunc) g_object_ref, g_object_unref, NULL, NULL, NULL);
#line 61 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_g_object_unref0 (self->priv->colors);
#line 61 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	self->priv->colors = _tmp0_;
#line 62 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp1_ = printer;
#line 62 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp2_ = _g_object_ref0 (_tmp1_);
#line 62 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_g_object_unref0 (self->priv->printer);
#line 62 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	self->priv->printer = _tmp2_;
#line 63 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	printers_ink_level_populate_values (self);
#line 184 "InkLevel.c"
	{
		GeeArrayList* _color_list = NULL;
		GeeArrayList* _tmp3_ = NULL;
		GeeArrayList* _tmp4_ = NULL;
		gint _color_size = 0;
		GeeArrayList* _tmp5_ = NULL;
		gint _tmp6_ = 0;
		gint _tmp7_ = 0;
		gint _color_index = 0;
#line 64 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp3_ = self->priv->colors;
#line 64 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp4_ = _g_object_ref0 (_tmp3_);
#line 64 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_color_list = _tmp4_;
#line 64 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp5_ = _color_list;
#line 64 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp6_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp5_);
#line 64 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp7_ = _tmp6_;
#line 64 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_color_size = _tmp7_;
#line 64 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_color_index = -1;
#line 64 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		while (TRUE) {
#line 212 "InkLevel.c"
			gint _tmp8_ = 0;
			gint _tmp9_ = 0;
			gint _tmp10_ = 0;
			PrintersInkLevelColorLevel* color = NULL;
			GeeArrayList* _tmp11_ = NULL;
			gint _tmp12_ = 0;
			gpointer _tmp13_ = NULL;
			GtkLevelBar* level = NULL;
			PrintersInkLevelColorLevel* _tmp14_ = NULL;
			gint _tmp15_ = 0;
			PrintersInkLevelColorLevel* _tmp16_ = NULL;
			gint _tmp17_ = 0;
			GtkLevelBar* _tmp18_ = NULL;
			GtkLevelBar* _tmp19_ = NULL;
			GtkLevelBar* _tmp20_ = NULL;
			PrintersInkLevelColorLevel* _tmp21_ = NULL;
			gint _tmp22_ = 0;
			GtkLevelBar* _tmp23_ = NULL;
			GtkLevelBar* _tmp24_ = NULL;
			PrintersInkLevelColorLevel* _tmp25_ = NULL;
			const gchar* _tmp26_ = NULL;
			gchar* _tmp27_ = NULL;
			gchar* _tmp28_ = NULL;
			GtkLevelBar* _tmp29_ = NULL;
			GtkStyleContext* context = NULL;
			GtkLevelBar* _tmp30_ = NULL;
			GtkStyleContext* _tmp31_ = NULL;
			GtkStyleContext* _tmp32_ = NULL;
			GtkStyleContext* _tmp33_ = NULL;
			gchar* css_color = NULL;
			PrintersInkLevelColorLevel* _tmp34_ = NULL;
			const gchar* _tmp35_ = NULL;
			gchar* _tmp36_ = NULL;
			GtkCssProvider* provider = NULL;
			GtkCssProvider* _tmp37_ = NULL;
			GtkLevelBar* _tmp48_ = NULL;
#line 64 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			_tmp8_ = _color_index;
#line 64 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			_color_index = _tmp8_ + 1;
#line 64 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			_tmp9_ = _color_index;
#line 64 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			_tmp10_ = _color_size;
#line 64 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			if (!(_tmp9_ < _tmp10_)) {
#line 64 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				break;
#line 261 "InkLevel.c"
			}
#line 64 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			_tmp11_ = _color_list;
#line 64 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			_tmp12_ = _color_index;
#line 64 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			_tmp13_ = gee_abstract_list_get ((GeeAbstractList*) _tmp11_, _tmp12_);
#line 64 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			color = (PrintersInkLevelColorLevel*) _tmp13_;
#line 65 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			_tmp14_ = color;
#line 65 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			_tmp15_ = _tmp14_->level_min;
#line 65 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			_tmp16_ = color;
#line 65 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			_tmp17_ = _tmp16_->level_max;
#line 65 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			_tmp18_ = (GtkLevelBar*) gtk_level_bar_new_for_interval ((gdouble) _tmp15_, (gdouble) _tmp17_);
#line 65 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			g_object_ref_sink (_tmp18_);
#line 65 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			level = _tmp18_;
#line 66 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			_tmp19_ = level;
#line 66 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			gtk_orientable_set_orientation ((GtkOrientable*) _tmp19_, GTK_ORIENTATION_VERTICAL);
#line 67 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			_tmp20_ = level;
#line 67 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			_tmp21_ = color;
#line 67 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			_tmp22_ = _tmp21_->level;
#line 67 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			gtk_level_bar_set_value (_tmp20_, (gdouble) _tmp22_);
#line 68 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			_tmp23_ = level;
#line 68 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			gtk_level_bar_set_inverted (_tmp23_, TRUE);
#line 69 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			_tmp24_ = level;
#line 69 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			_tmp25_ = color;
#line 69 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			_tmp26_ = _tmp25_->name;
#line 69 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			_tmp27_ = printers_ink_level_get_translated_name (self, _tmp26_);
#line 69 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			_tmp28_ = _tmp27_;
#line 69 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			gtk_widget_set_tooltip_text ((GtkWidget*) _tmp24_, _tmp28_);
#line 69 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			_g_free0 (_tmp28_);
#line 70 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			_tmp29_ = level;
#line 70 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			g_object_set ((GtkWidget*) _tmp29_, "expand", TRUE, NULL);
#line 71 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			_tmp30_ = level;
#line 71 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			_tmp31_ = gtk_widget_get_style_context ((GtkWidget*) _tmp30_);
#line 71 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			_tmp32_ = _g_object_ref0 (_tmp31_);
#line 71 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			context = _tmp32_;
#line 72 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			_tmp33_ = context;
#line 72 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			gtk_style_context_add_class (_tmp33_, "coloredlevelbar");
#line 73 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			_tmp34_ = color;
#line 73 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			_tmp35_ = _tmp34_->color;
#line 73 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			_tmp36_ = g_strdup_printf (PRINTERS_INK_LEVEL_STYLE_CLASS, _tmp35_);
#line 73 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			css_color = _tmp36_;
#line 74 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			_tmp37_ = gtk_css_provider_new ();
#line 74 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			provider = _tmp37_;
#line 343 "InkLevel.c"
			{
				GtkCssProvider* _tmp38_ = NULL;
				const gchar* _tmp39_ = NULL;
				const gchar* _tmp40_ = NULL;
				gint _tmp41_ = 0;
				gint _tmp42_ = 0;
				GtkStyleContext* _tmp43_ = NULL;
				GtkCssProvider* _tmp44_ = NULL;
#line 76 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				_tmp38_ = provider;
#line 76 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				_tmp39_ = css_color;
#line 76 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				_tmp40_ = css_color;
#line 76 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				_tmp41_ = strlen (_tmp40_);
#line 76 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				_tmp42_ = _tmp41_;
#line 76 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				gtk_css_provider_load_from_data (_tmp38_, _tmp39_, (gssize) _tmp42_, &_inner_error_);
#line 76 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 366 "InkLevel.c"
					goto __catch8_g_error;
				}
#line 77 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				_tmp43_ = context;
#line 77 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				_tmp44_ = provider;
#line 77 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				gtk_style_context_add_provider (_tmp43_, (GtkStyleProvider*) _tmp44_, (guint) GTK_STYLE_PROVIDER_PRIORITY_APPLICATION);
#line 375 "InkLevel.c"
			}
			goto __finally8;
			__catch8_g_error:
			{
				GError* e = NULL;
				GError* _tmp45_ = NULL;
				const gchar* _tmp46_ = NULL;
				const gchar* _tmp47_ = NULL;
#line 75 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				e = _inner_error_;
#line 75 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				_inner_error_ = NULL;
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				_tmp45_ = e;
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				_tmp46_ = _tmp45_->message;
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				_tmp47_ = css_color;
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				g_warning ("InkLevel.vala:79: Could not create CSS Provider: %s\nStylesheet:\n%s", _tmp46_, _tmp47_);
#line 75 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				_g_error_free0 (e);
#line 398 "InkLevel.c"
			}
			__finally8:
#line 75 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 75 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				_g_object_unref0 (provider);
#line 75 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				_g_free0 (css_color);
#line 75 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				_g_object_unref0 (context);
#line 75 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				_g_object_unref0 (level);
#line 75 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				_g_object_unref0 (color);
#line 75 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				_g_object_unref0 (_color_list);
#line 75 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 75 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				g_clear_error (&_inner_error_);
#line 75 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				return NULL;
#line 421 "InkLevel.c"
			}
#line 82 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			_tmp48_ = level;
#line 82 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp48_);
#line 64 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			_g_object_unref0 (provider);
#line 64 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			_g_free0 (css_color);
#line 64 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			_g_object_unref0 (context);
#line 64 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			_g_object_unref0 (level);
#line 64 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			_g_object_unref0 (color);
#line 437 "InkLevel.c"
		}
#line 64 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_g_object_unref0 (_color_list);
#line 441 "InkLevel.c"
	}
#line 57 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	return self;
#line 445 "InkLevel.c"
}


PrintersInkLevel* printers_ink_level_new (PrintersPrinter* printer) {
#line 57 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	return printers_ink_level_construct (PRINTERS_TYPE_INK_LEVEL, printer);
#line 452 "InkLevel.c"
}


static gchar* printers_ink_level_get_translated_name (PrintersInkLevel* self, const gchar* name) {
	gchar* result = NULL;
	const gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	GQuark _tmp3_ = 0U;
#line 87 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	static GQuark _tmp2_label0 = 0;
#line 87 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	static GQuark _tmp2_label1 = 0;
#line 87 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	static GQuark _tmp2_label2 = 0;
#line 87 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	static GQuark _tmp2_label3 = 0;
#line 87 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	static GQuark _tmp2_label4 = 0;
#line 87 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	static GQuark _tmp2_label5 = 0;
#line 87 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	static GQuark _tmp2_label6 = 0;
#line 87 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	static GQuark _tmp2_label7 = 0;
#line 87 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	static GQuark _tmp2_label8 = 0;
#line 87 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	static GQuark _tmp2_label9 = 0;
#line 87 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	static GQuark _tmp2_label10 = 0;
#line 87 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	static GQuark _tmp2_label11 = 0;
#line 485 "InkLevel.c"
	const gchar* _tmp16_ = NULL;
	gchar* _tmp17_ = NULL;
#line 86 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 86 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	g_return_val_if_fail (name != NULL, NULL);
#line 87 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp0_ = name;
#line 87 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp1_ = _tmp0_;
#line 87 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp3_ = (NULL == _tmp1_) ? 0 : g_quark_from_string (_tmp1_);
#line 87 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	if ((_tmp3_ == ((0 != _tmp2_label0) ? _tmp2_label0 : (_tmp2_label0 = g_quark_from_static_string ("black(PGBK)")))) || (_tmp3_ == ((0 != _tmp2_label1) ? _tmp2_label1 : (_tmp2_label1 = g_quark_from_static_string ("Black(PGBK)"))))) {
#line 87 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		switch (0) {
#line 502 "InkLevel.c"
			default:
			{
				const gchar* _tmp4_ = NULL;
				gchar* _tmp5_ = NULL;
#line 90 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				_tmp4_ = _ ("Black (PGBK)");
#line 90 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				_tmp5_ = g_strdup (_tmp4_);
#line 90 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				result = _tmp5_;
#line 90 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				return result;
#line 515 "InkLevel.c"
			}
		}
	} else if ((_tmp3_ == ((0 != _tmp2_label2) ? _tmp2_label2 : (_tmp2_label2 = g_quark_from_static_string ("black(BK)")))) || (_tmp3_ == ((0 != _tmp2_label3) ? _tmp2_label3 : (_tmp2_label3 = g_quark_from_static_string ("Black(BK)"))))) {
#line 87 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		switch (0) {
#line 521 "InkLevel.c"
			default:
			{
				const gchar* _tmp6_ = NULL;
				gchar* _tmp7_ = NULL;
#line 93 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				_tmp6_ = _ ("Black (BK)");
#line 93 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				_tmp7_ = g_strdup (_tmp6_);
#line 93 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				result = _tmp7_;
#line 93 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				return result;
#line 534 "InkLevel.c"
			}
		}
	} else if ((_tmp3_ == ((0 != _tmp2_label4) ? _tmp2_label4 : (_tmp2_label4 = g_quark_from_static_string ("black")))) || (_tmp3_ == ((0 != _tmp2_label5) ? _tmp2_label5 : (_tmp2_label5 = g_quark_from_static_string ("Black"))))) {
#line 87 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		switch (0) {
#line 540 "InkLevel.c"
			default:
			{
				const gchar* _tmp8_ = NULL;
				gchar* _tmp9_ = NULL;
#line 96 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				_tmp8_ = _ ("Black");
#line 96 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				_tmp9_ = g_strdup (_tmp8_);
#line 96 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				result = _tmp9_;
#line 96 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				return result;
#line 553 "InkLevel.c"
			}
		}
	} else if ((_tmp3_ == ((0 != _tmp2_label6) ? _tmp2_label6 : (_tmp2_label6 = g_quark_from_static_string ("yellow")))) || (_tmp3_ == ((0 != _tmp2_label7) ? _tmp2_label7 : (_tmp2_label7 = g_quark_from_static_string ("Yellow"))))) {
#line 87 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		switch (0) {
#line 559 "InkLevel.c"
			default:
			{
				const gchar* _tmp10_ = NULL;
				gchar* _tmp11_ = NULL;
#line 99 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				_tmp10_ = _ ("Yellow");
#line 99 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				_tmp11_ = g_strdup (_tmp10_);
#line 99 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				result = _tmp11_;
#line 99 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				return result;
#line 572 "InkLevel.c"
			}
		}
	} else if ((_tmp3_ == ((0 != _tmp2_label8) ? _tmp2_label8 : (_tmp2_label8 = g_quark_from_static_string ("cyan")))) || (_tmp3_ == ((0 != _tmp2_label9) ? _tmp2_label9 : (_tmp2_label9 = g_quark_from_static_string ("Cyan"))))) {
#line 87 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		switch (0) {
#line 578 "InkLevel.c"
			default:
			{
				const gchar* _tmp12_ = NULL;
				gchar* _tmp13_ = NULL;
#line 102 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				_tmp12_ = _ ("Cyan");
#line 102 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				_tmp13_ = g_strdup (_tmp12_);
#line 102 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				result = _tmp13_;
#line 102 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				return result;
#line 591 "InkLevel.c"
			}
		}
	} else if ((_tmp3_ == ((0 != _tmp2_label10) ? _tmp2_label10 : (_tmp2_label10 = g_quark_from_static_string ("magenta")))) || (_tmp3_ == ((0 != _tmp2_label11) ? _tmp2_label11 : (_tmp2_label11 = g_quark_from_static_string ("Magenta"))))) {
#line 87 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		switch (0) {
#line 597 "InkLevel.c"
			default:
			{
				const gchar* _tmp14_ = NULL;
				gchar* _tmp15_ = NULL;
#line 105 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				_tmp14_ = _ ("Magenta");
#line 105 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				_tmp15_ = g_strdup (_tmp14_);
#line 105 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				result = _tmp15_;
#line 105 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				return result;
#line 610 "InkLevel.c"
			}
		}
	}
#line 108 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp16_ = name;
#line 108 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp17_ = g_strdup (_tmp16_);
#line 108 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	result = _tmp17_;
#line 108 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	return result;
#line 622 "InkLevel.c"
}


static gint __lambda46_ (PrintersInkLevel* self, PrintersInkLevelColorLevel* a, PrintersInkLevelColorLevel* b) {
	gint result = 0;
	GdkRGBA col_a = {0};
	GdkRGBA _tmp0_ = {0};
	GdkRGBA col_b = {0};
	GdkRGBA _tmp1_ = {0};
	PrintersInkLevelColorLevel* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
	PrintersInkLevelColorLevel* _tmp4_ = NULL;
	const gchar* _tmp5_ = NULL;
	gboolean _tmp6_ = FALSE;
	gboolean _tmp7_ = FALSE;
	GdkRGBA _tmp8_ = {0};
	gdouble _tmp9_ = 0.0;
	gboolean _tmp14_ = FALSE;
	gboolean _tmp15_ = FALSE;
	GdkRGBA _tmp16_ = {0};
	gdouble _tmp17_ = 0.0;
	gboolean _tmp22_ = FALSE;
	gboolean _tmp23_ = FALSE;
	GdkRGBA _tmp24_ = {0};
	gdouble _tmp25_ = 0.0;
	gboolean _tmp30_ = FALSE;
	gboolean _tmp31_ = FALSE;
	GdkRGBA _tmp32_ = {0};
	gdouble _tmp33_ = 0.0;
	gboolean _tmp38_ = FALSE;
	gboolean _tmp39_ = FALSE;
	GdkRGBA _tmp40_ = {0};
	gdouble _tmp41_ = 0.0;
	gboolean _tmp46_ = FALSE;
	gboolean _tmp47_ = FALSE;
	GdkRGBA _tmp48_ = {0};
	gdouble _tmp49_ = 0.0;
	gdouble a_tot = 0.0;
	GdkRGBA _tmp54_ = {0};
	gdouble _tmp55_ = 0.0;
	GdkRGBA _tmp56_ = {0};
	gdouble _tmp57_ = 0.0;
	GdkRGBA _tmp58_ = {0};
	gdouble _tmp59_ = 0.0;
	gdouble b_tot = 0.0;
	GdkRGBA _tmp60_ = {0};
	gdouble _tmp61_ = 0.0;
	GdkRGBA _tmp62_ = {0};
	gdouble _tmp63_ = 0.0;
	GdkRGBA _tmp64_ = {0};
	gdouble _tmp65_ = 0.0;
	gdouble _tmp66_ = 0.0;
	gdouble _tmp67_ = 0.0;
#line 157 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	g_return_val_if_fail (a != NULL, 0);
#line 157 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	g_return_val_if_fail (b != NULL, 0);
#line 158 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	col_a = _tmp0_;
#line 158 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	col_b = _tmp1_;
#line 159 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp2_ = a;
#line 159 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp3_ = _tmp2_->color;
#line 159 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	gdk_rgba_parse (&col_a, _tmp3_);
#line 160 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp4_ = b;
#line 160 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp5_ = _tmp4_->color;
#line 160 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	gdk_rgba_parse (&col_b, _tmp5_);
#line 162 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp8_ = col_a;
#line 162 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp9_ = _tmp8_.green;
#line 162 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	if (_tmp9_ > 0.8) {
#line 702 "InkLevel.c"
		GdkRGBA _tmp10_ = {0};
		gdouble _tmp11_ = 0.0;
#line 162 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp10_ = col_a;
#line 162 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp11_ = _tmp10_.blue;
#line 162 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp7_ = _tmp11_ > 0.8;
#line 711 "InkLevel.c"
	} else {
#line 162 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp7_ = FALSE;
#line 715 "InkLevel.c"
	}
#line 162 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	if (_tmp7_) {
#line 719 "InkLevel.c"
		GdkRGBA _tmp12_ = {0};
		gdouble _tmp13_ = 0.0;
#line 162 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp12_ = col_a;
#line 162 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp13_ = _tmp12_.red;
#line 162 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp6_ = _tmp13_ < 0.3;
#line 728 "InkLevel.c"
	} else {
#line 162 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp6_ = FALSE;
#line 732 "InkLevel.c"
	}
#line 162 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	if (_tmp6_) {
#line 163 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		result = -1;
#line 163 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		return result;
#line 740 "InkLevel.c"
	}
#line 165 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp16_ = col_b;
#line 165 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp17_ = _tmp16_.green;
#line 165 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	if (_tmp17_ > 0.8) {
#line 748 "InkLevel.c"
		GdkRGBA _tmp18_ = {0};
		gdouble _tmp19_ = 0.0;
#line 165 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp18_ = col_b;
#line 165 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp19_ = _tmp18_.blue;
#line 165 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp15_ = _tmp19_ > 0.8;
#line 757 "InkLevel.c"
	} else {
#line 165 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp15_ = FALSE;
#line 761 "InkLevel.c"
	}
#line 165 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	if (_tmp15_) {
#line 765 "InkLevel.c"
		GdkRGBA _tmp20_ = {0};
		gdouble _tmp21_ = 0.0;
#line 165 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp20_ = col_b;
#line 165 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp21_ = _tmp20_.red;
#line 165 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp14_ = _tmp21_ < 0.3;
#line 774 "InkLevel.c"
	} else {
#line 165 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp14_ = FALSE;
#line 778 "InkLevel.c"
	}
#line 165 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	if (_tmp14_) {
#line 166 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		result = 1;
#line 166 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		return result;
#line 786 "InkLevel.c"
	}
#line 168 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp24_ = col_a;
#line 168 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp25_ = _tmp24_.green;
#line 168 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	if (_tmp25_ < 0.3) {
#line 794 "InkLevel.c"
		GdkRGBA _tmp26_ = {0};
		gdouble _tmp27_ = 0.0;
#line 168 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp26_ = col_a;
#line 168 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp27_ = _tmp26_.blue;
#line 168 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp23_ = _tmp27_ > 0.8;
#line 803 "InkLevel.c"
	} else {
#line 168 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp23_ = FALSE;
#line 807 "InkLevel.c"
	}
#line 168 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	if (_tmp23_) {
#line 811 "InkLevel.c"
		GdkRGBA _tmp28_ = {0};
		gdouble _tmp29_ = 0.0;
#line 168 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp28_ = col_a;
#line 168 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp29_ = _tmp28_.red;
#line 168 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp22_ = _tmp29_ > 0.8;
#line 820 "InkLevel.c"
	} else {
#line 168 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp22_ = FALSE;
#line 824 "InkLevel.c"
	}
#line 168 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	if (_tmp22_) {
#line 169 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		result = -1;
#line 169 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		return result;
#line 832 "InkLevel.c"
	}
#line 171 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp32_ = col_b;
#line 171 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp33_ = _tmp32_.green;
#line 171 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	if (_tmp33_ < 0.3) {
#line 840 "InkLevel.c"
		GdkRGBA _tmp34_ = {0};
		gdouble _tmp35_ = 0.0;
#line 171 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp34_ = col_b;
#line 171 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp35_ = _tmp34_.blue;
#line 171 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp31_ = _tmp35_ > 0.8;
#line 849 "InkLevel.c"
	} else {
#line 171 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp31_ = FALSE;
#line 853 "InkLevel.c"
	}
#line 171 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	if (_tmp31_) {
#line 857 "InkLevel.c"
		GdkRGBA _tmp36_ = {0};
		gdouble _tmp37_ = 0.0;
#line 171 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp36_ = col_b;
#line 171 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp37_ = _tmp36_.red;
#line 171 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp30_ = _tmp37_ > 0.8;
#line 866 "InkLevel.c"
	} else {
#line 171 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp30_ = FALSE;
#line 870 "InkLevel.c"
	}
#line 171 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	if (_tmp30_) {
#line 172 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		result = 1;
#line 172 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		return result;
#line 878 "InkLevel.c"
	}
#line 174 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp40_ = col_a;
#line 174 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp41_ = _tmp40_.green;
#line 174 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	if (_tmp41_ > 0.8) {
#line 886 "InkLevel.c"
		GdkRGBA _tmp42_ = {0};
		gdouble _tmp43_ = 0.0;
#line 174 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp42_ = col_a;
#line 174 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp43_ = _tmp42_.blue;
#line 174 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp39_ = _tmp43_ < 0.3;
#line 895 "InkLevel.c"
	} else {
#line 174 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp39_ = FALSE;
#line 899 "InkLevel.c"
	}
#line 174 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	if (_tmp39_) {
#line 903 "InkLevel.c"
		GdkRGBA _tmp44_ = {0};
		gdouble _tmp45_ = 0.0;
#line 174 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp44_ = col_a;
#line 174 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp45_ = _tmp44_.red;
#line 174 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp38_ = _tmp45_ > 0.8;
#line 912 "InkLevel.c"
	} else {
#line 174 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp38_ = FALSE;
#line 916 "InkLevel.c"
	}
#line 174 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	if (_tmp38_) {
#line 175 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		result = -1;
#line 175 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		return result;
#line 924 "InkLevel.c"
	}
#line 177 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp48_ = col_b;
#line 177 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp49_ = _tmp48_.green;
#line 177 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	if (_tmp49_ > 0.8) {
#line 932 "InkLevel.c"
		GdkRGBA _tmp50_ = {0};
		gdouble _tmp51_ = 0.0;
#line 177 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp50_ = col_b;
#line 177 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp51_ = _tmp50_.blue;
#line 177 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp47_ = _tmp51_ < 0.3;
#line 941 "InkLevel.c"
	} else {
#line 177 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp47_ = FALSE;
#line 945 "InkLevel.c"
	}
#line 177 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	if (_tmp47_) {
#line 949 "InkLevel.c"
		GdkRGBA _tmp52_ = {0};
		gdouble _tmp53_ = 0.0;
#line 177 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp52_ = col_b;
#line 177 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp53_ = _tmp52_.red;
#line 177 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp46_ = _tmp53_ > 0.8;
#line 958 "InkLevel.c"
	} else {
#line 177 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp46_ = FALSE;
#line 962 "InkLevel.c"
	}
#line 177 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	if (_tmp46_) {
#line 178 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		result = 1;
#line 178 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		return result;
#line 970 "InkLevel.c"
	}
#line 180 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp54_ = col_a;
#line 180 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp55_ = _tmp54_.green;
#line 180 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp56_ = col_a;
#line 180 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp57_ = _tmp56_.blue;
#line 180 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp58_ = col_a;
#line 180 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp59_ = _tmp58_.red;
#line 180 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	a_tot = (_tmp55_ + _tmp57_) + _tmp59_;
#line 181 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp60_ = col_b;
#line 181 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp61_ = _tmp60_.green;
#line 181 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp62_ = col_b;
#line 181 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp63_ = _tmp62_.blue;
#line 181 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp64_ = col_b;
#line 181 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp65_ = _tmp64_.red;
#line 181 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	b_tot = (_tmp61_ + _tmp63_) + _tmp65_;
#line 182 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp66_ = a_tot;
#line 182 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp67_ = b_tot;
#line 182 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	if (_tmp66_ > _tmp67_) {
#line 183 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		result = 1;
#line 183 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		return result;
#line 1010 "InkLevel.c"
	} else {
		gdouble _tmp68_ = 0.0;
		gdouble _tmp69_ = 0.0;
#line 184 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp68_ = a_tot;
#line 184 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp69_ = b_tot;
#line 184 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		if (_tmp68_ == _tmp69_) {
#line 185 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			result = 0;
#line 185 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			return result;
#line 1024 "InkLevel.c"
		} else {
#line 187 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			result = -1;
#line 187 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			return result;
#line 1030 "InkLevel.c"
		}
	}
}


static gint ___lambda46__gcompare_data_func (gconstpointer a, gconstpointer b, gpointer self) {
	gint result;
	result = __lambda46_ ((PrintersInkLevel*) self, (PrintersInkLevelColorLevel*) a, (PrintersInkLevelColorLevel*) b);
#line 157 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	return result;
#line 1041 "InkLevel.c"
}


static void printers_ink_level_populate_values (PrintersInkLevel* self) {
	gchar* printer_uri = NULL;
	gchar* _tmp0_ = NULL;
	gint printer_uri_length1 = 0;
	gint _printer_uri_size_ = 0;
	gchar* _tmp1_ = NULL;
	gint _tmp1__length1 = 0;
	PrintersPrinter* _tmp2_ = NULL;
	cups_dest_t _tmp3_ = {0};
	const gchar* _tmp4_ = NULL;
	ipp_t* request = NULL;
	ipp_t* _tmp5_ = NULL;
	ipp_t* _tmp6_ = NULL;
	gchar* _tmp7_ = NULL;
	gint _tmp7__length1 = 0;
	gchar** attributes = NULL;
	gchar* _tmp8_ = NULL;
	gchar* _tmp9_ = NULL;
	gchar* _tmp10_ = NULL;
	gchar* _tmp11_ = NULL;
	gchar* _tmp12_ = NULL;
	gchar** _tmp13_ = NULL;
	gint attributes_length1 = 0;
	gint _attributes_size_ = 0;
	ipp_t* _tmp14_ = NULL;
	gchar** _tmp15_ = NULL;
	gint _tmp15__length1 = 0;
	http_t* _tmp16_ = NULL;
	ipp_t* _tmp17_ = NULL;
	ipp_status_t _tmp18_ = 0;
	GeeArrayList* _tmp94_ = NULL;
#line 111 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	g_return_if_fail (self != NULL);
#line 112 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp0_ = g_new0 (gchar, HTTP_MAX_URI);
#line 112 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	printer_uri = _tmp0_;
#line 112 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	printer_uri_length1 = HTTP_MAX_URI;
#line 112 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_printer_uri_size_ = printer_uri_length1;
#line 113 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp1_ = printer_uri;
#line 113 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp1__length1 = printer_uri_length1;
#line 113 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp2_ = self->priv->printer;
#line 113 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp3_ = _tmp2_->dest;
#line 113 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp4_ = _tmp3_.name;
#line 113 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	httpAssembleURIf (HTTP_URI_CODING_QUERY, _tmp1_, _tmp1__length1, "ipp", NULL, "localhost", 0, "/printers/%s", _tmp4_);
#line 114 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp5_ = ippNewRequest (IPP_GET_PRINTER_ATTRIBUTES);
#line 114 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	request = _tmp5_;
#line 115 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp6_ = request;
#line 115 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp7_ = printer_uri;
#line 115 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp7__length1 = printer_uri_length1;
#line 115 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	ippAddString (_tmp6_, IPP_TAG_OPERATION, IPP_TAG_URI, "printer-uri", NULL, (const gchar*) _tmp7_);
#line 117 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp8_ = g_strdup ("marker-colors");
#line 117 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp9_ = g_strdup ("marker-levels");
#line 117 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp10_ = g_strdup ("marker-names");
#line 117 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp11_ = g_strdup ("marker-high-levels");
#line 117 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp12_ = g_strdup ("marker-low-levels");
#line 117 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp13_ = g_new0 (gchar*, 5 + 1);
#line 117 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp13_[0] = _tmp8_;
#line 117 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp13_[1] = _tmp9_;
#line 117 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp13_[2] = _tmp10_;
#line 117 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp13_[3] = _tmp11_;
#line 117 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp13_[4] = _tmp12_;
#line 117 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	attributes = _tmp13_;
#line 117 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	attributes_length1 = 5;
#line 117 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_attributes_size_ = attributes_length1;
#line 123 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp14_ = request;
#line 123 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp15_ = attributes;
#line 123 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp15__length1 = attributes_length1;
#line 123 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	ippAddStrings (_tmp14_, IPP_TAG_OPERATION, IPP_TAG_KEYWORD, "requested-attributes", _tmp15__length1, NULL, _tmp15_);
#line 124 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp16_ = CUPS_HTTP_DEFAULT;
#line 124 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	request = cupsDoRequest (_tmp16_, request, "/");
#line 126 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp17_ = request;
#line 126 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp18_ = ippGetStatusCode (_tmp17_);
#line 126 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	if (_tmp18_ <= IPP_OK_CONFLICT) {
#line 1156 "InkLevel.c"
		ipp_attribute_t* attr = NULL;
		ipp_t* _tmp19_ = NULL;
		ipp_attribute_t* _tmp20_ = NULL;
		ipp_t* _tmp34_ = NULL;
		ipp_attribute_t* _tmp35_ = NULL;
		ipp_t* _tmp48_ = NULL;
		ipp_attribute_t* _tmp49_ = NULL;
		ipp_t* _tmp62_ = NULL;
		ipp_attribute_t* _tmp63_ = NULL;
		ipp_t* _tmp76_ = NULL;
		ipp_attribute_t* _tmp77_ = NULL;
#line 127 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp19_ = request;
#line 127 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp20_ = ippFindAttribute (_tmp19_, "marker-colors", IPP_TAG_ZERO);
#line 127 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		attr = _tmp20_;
#line 1174 "InkLevel.c"
		{
			gint i = 0;
#line 128 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			i = 0;
#line 1179 "InkLevel.c"
			{
				gboolean _tmp21_ = FALSE;
#line 128 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				_tmp21_ = TRUE;
#line 128 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				while (TRUE) {
#line 1186 "InkLevel.c"
					gint _tmp23_ = 0;
					ipp_attribute_t* _tmp24_ = NULL;
					gint _tmp25_ = 0;
					PrintersInkLevelColorLevel* color = NULL;
					PrintersInkLevelColorLevel* _tmp26_ = NULL;
					PrintersInkLevelColorLevel* _tmp27_ = NULL;
					ipp_attribute_t* _tmp28_ = NULL;
					gint _tmp29_ = 0;
					const gchar* _tmp30_ = NULL;
					gchar* _tmp31_ = NULL;
					GeeArrayList* _tmp32_ = NULL;
					PrintersInkLevelColorLevel* _tmp33_ = NULL;
#line 128 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					if (!_tmp21_) {
#line 1201 "InkLevel.c"
						gint _tmp22_ = 0;
#line 128 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
						_tmp22_ = i;
#line 128 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
						i = _tmp22_ + 1;
#line 1207 "InkLevel.c"
					}
#line 128 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp21_ = FALSE;
#line 128 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp23_ = i;
#line 128 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp24_ = attr;
#line 128 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp25_ = ippGetCount (_tmp24_);
#line 128 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					if (!(_tmp23_ < _tmp25_)) {
#line 128 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
						break;
#line 1221 "InkLevel.c"
					}
#line 129 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp26_ = printers_ink_level_color_level_new ();
#line 129 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					color = _tmp26_;
#line 130 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp27_ = color;
#line 130 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp28_ = attr;
#line 130 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp29_ = i;
#line 130 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp30_ = ippGetString (_tmp28_, _tmp29_, NULL);
#line 130 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp31_ = g_strdup (_tmp30_);
#line 130 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_g_free0 (_tmp27_->color);
#line 130 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp27_->color = _tmp31_;
#line 131 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp32_ = self->priv->colors;
#line 131 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp33_ = color;
#line 131 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					gee_abstract_collection_add ((GeeAbstractCollection*) _tmp32_, _tmp33_);
#line 128 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_g_object_unref0 (color);
#line 1249 "InkLevel.c"
				}
			}
		}
#line 134 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp34_ = request;
#line 134 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp35_ = ippFindAttribute (_tmp34_, "marker-levels", IPP_TAG_ZERO);
#line 134 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		attr = _tmp35_;
#line 1259 "InkLevel.c"
		{
			gint i = 0;
#line 135 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			i = 0;
#line 1264 "InkLevel.c"
			{
				gboolean _tmp36_ = FALSE;
#line 135 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				_tmp36_ = TRUE;
#line 135 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				while (TRUE) {
#line 1271 "InkLevel.c"
					gint _tmp38_ = 0;
					ipp_attribute_t* _tmp39_ = NULL;
					gint _tmp40_ = 0;
					GeeArrayList* _tmp41_ = NULL;
					gint _tmp42_ = 0;
					gpointer _tmp43_ = NULL;
					PrintersInkLevelColorLevel* _tmp44_ = NULL;
					ipp_attribute_t* _tmp45_ = NULL;
					gint _tmp46_ = 0;
					gint _tmp47_ = 0;
#line 135 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					if (!_tmp36_) {
#line 1284 "InkLevel.c"
						gint _tmp37_ = 0;
#line 135 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
						_tmp37_ = i;
#line 135 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
						i = _tmp37_ + 1;
#line 1290 "InkLevel.c"
					}
#line 135 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp36_ = FALSE;
#line 135 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp38_ = i;
#line 135 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp39_ = attr;
#line 135 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp40_ = ippGetCount (_tmp39_);
#line 135 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					if (!(_tmp38_ < _tmp40_)) {
#line 135 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
						break;
#line 1304 "InkLevel.c"
					}
#line 136 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp41_ = self->priv->colors;
#line 136 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp42_ = i;
#line 136 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp43_ = gee_abstract_list_get ((GeeAbstractList*) _tmp41_, _tmp42_);
#line 136 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp44_ = (PrintersInkLevelColorLevel*) _tmp43_;
#line 136 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp45_ = attr;
#line 136 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp46_ = i;
#line 136 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp47_ = ippGetInteger (_tmp45_, _tmp46_);
#line 136 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp44_->level = _tmp47_;
#line 136 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_g_object_unref0 (_tmp44_);
#line 1324 "InkLevel.c"
				}
			}
		}
#line 139 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp48_ = request;
#line 139 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp49_ = ippFindAttribute (_tmp48_, "marker-high-levels", IPP_TAG_ZERO);
#line 139 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		attr = _tmp49_;
#line 1334 "InkLevel.c"
		{
			gint i = 0;
#line 140 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			i = 0;
#line 1339 "InkLevel.c"
			{
				gboolean _tmp50_ = FALSE;
#line 140 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				_tmp50_ = TRUE;
#line 140 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				while (TRUE) {
#line 1346 "InkLevel.c"
					gint _tmp52_ = 0;
					ipp_attribute_t* _tmp53_ = NULL;
					gint _tmp54_ = 0;
					GeeArrayList* _tmp55_ = NULL;
					gint _tmp56_ = 0;
					gpointer _tmp57_ = NULL;
					PrintersInkLevelColorLevel* _tmp58_ = NULL;
					ipp_attribute_t* _tmp59_ = NULL;
					gint _tmp60_ = 0;
					gint _tmp61_ = 0;
#line 140 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					if (!_tmp50_) {
#line 1359 "InkLevel.c"
						gint _tmp51_ = 0;
#line 140 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
						_tmp51_ = i;
#line 140 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
						i = _tmp51_ + 1;
#line 1365 "InkLevel.c"
					}
#line 140 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp50_ = FALSE;
#line 140 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp52_ = i;
#line 140 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp53_ = attr;
#line 140 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp54_ = ippGetCount (_tmp53_);
#line 140 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					if (!(_tmp52_ < _tmp54_)) {
#line 140 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
						break;
#line 1379 "InkLevel.c"
					}
#line 141 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp55_ = self->priv->colors;
#line 141 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp56_ = i;
#line 141 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp57_ = gee_abstract_list_get ((GeeAbstractList*) _tmp55_, _tmp56_);
#line 141 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp58_ = (PrintersInkLevelColorLevel*) _tmp57_;
#line 141 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp59_ = attr;
#line 141 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp60_ = i;
#line 141 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp61_ = ippGetInteger (_tmp59_, _tmp60_);
#line 141 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp58_->level_max = _tmp61_;
#line 141 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_g_object_unref0 (_tmp58_);
#line 1399 "InkLevel.c"
				}
			}
		}
#line 144 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp62_ = request;
#line 144 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp63_ = ippFindAttribute (_tmp62_, "marker-low-levels", IPP_TAG_ZERO);
#line 144 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		attr = _tmp63_;
#line 1409 "InkLevel.c"
		{
			gint i = 0;
#line 145 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			i = 0;
#line 1414 "InkLevel.c"
			{
				gboolean _tmp64_ = FALSE;
#line 145 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				_tmp64_ = TRUE;
#line 145 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				while (TRUE) {
#line 1421 "InkLevel.c"
					gint _tmp66_ = 0;
					ipp_attribute_t* _tmp67_ = NULL;
					gint _tmp68_ = 0;
					GeeArrayList* _tmp69_ = NULL;
					gint _tmp70_ = 0;
					gpointer _tmp71_ = NULL;
					PrintersInkLevelColorLevel* _tmp72_ = NULL;
					ipp_attribute_t* _tmp73_ = NULL;
					gint _tmp74_ = 0;
					gint _tmp75_ = 0;
#line 145 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					if (!_tmp64_) {
#line 1434 "InkLevel.c"
						gint _tmp65_ = 0;
#line 145 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
						_tmp65_ = i;
#line 145 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
						i = _tmp65_ + 1;
#line 1440 "InkLevel.c"
					}
#line 145 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp64_ = FALSE;
#line 145 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp66_ = i;
#line 145 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp67_ = attr;
#line 145 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp68_ = ippGetCount (_tmp67_);
#line 145 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					if (!(_tmp66_ < _tmp68_)) {
#line 145 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
						break;
#line 1454 "InkLevel.c"
					}
#line 146 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp69_ = self->priv->colors;
#line 146 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp70_ = i;
#line 146 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp71_ = gee_abstract_list_get ((GeeAbstractList*) _tmp69_, _tmp70_);
#line 146 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp72_ = (PrintersInkLevelColorLevel*) _tmp71_;
#line 146 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp73_ = attr;
#line 146 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp74_ = i;
#line 146 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp75_ = ippGetInteger (_tmp73_, _tmp74_);
#line 146 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp72_->level_min = _tmp75_;
#line 146 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_g_object_unref0 (_tmp72_);
#line 1474 "InkLevel.c"
				}
			}
		}
#line 149 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp76_ = request;
#line 149 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp77_ = ippFindAttribute (_tmp76_, "marker-names", IPP_TAG_ZERO);
#line 149 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		attr = _tmp77_;
#line 1484 "InkLevel.c"
		{
			gint i = 0;
#line 150 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
			i = 0;
#line 1489 "InkLevel.c"
			{
				gboolean _tmp78_ = FALSE;
#line 150 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				_tmp78_ = TRUE;
#line 150 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
				while (TRUE) {
#line 1496 "InkLevel.c"
					gint _tmp80_ = 0;
					ipp_attribute_t* _tmp81_ = NULL;
					gint _tmp82_ = 0;
					GeeArrayList* _tmp83_ = NULL;
					gint _tmp84_ = 0;
					gpointer _tmp85_ = NULL;
					PrintersInkLevelColorLevel* _tmp86_ = NULL;
					ipp_attribute_t* _tmp87_ = NULL;
					gint _tmp88_ = 0;
					const gchar* _tmp89_ = NULL;
					gchar* _tmp90_ = NULL;
#line 150 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					if (!_tmp78_) {
#line 1510 "InkLevel.c"
						gint _tmp79_ = 0;
#line 150 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
						_tmp79_ = i;
#line 150 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
						i = _tmp79_ + 1;
#line 1516 "InkLevel.c"
					}
#line 150 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp78_ = FALSE;
#line 150 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp80_ = i;
#line 150 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp81_ = attr;
#line 150 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp82_ = ippGetCount (_tmp81_);
#line 150 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					if (!(_tmp80_ < _tmp82_)) {
#line 150 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
						break;
#line 1530 "InkLevel.c"
					}
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp83_ = self->priv->colors;
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp84_ = i;
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp85_ = gee_abstract_list_get ((GeeAbstractList*) _tmp83_, _tmp84_);
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp86_ = (PrintersInkLevelColorLevel*) _tmp85_;
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp87_ = attr;
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp88_ = i;
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp89_ = ippGetString (_tmp87_, _tmp88_, NULL);
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp90_ = g_strdup (_tmp89_);
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_g_free0 (_tmp86_->name);
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_tmp86_->name = _tmp90_;
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
					_g_object_unref0 (_tmp86_);
#line 1554 "InkLevel.c"
				}
			}
		}
	} else {
		ipp_t* _tmp91_ = NULL;
		ipp_status_t _tmp92_ = 0;
		const gchar* _tmp93_ = NULL;
#line 154 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp91_ = request;
#line 154 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp92_ = ippGetStatusCode (_tmp91_);
#line 154 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		_tmp93_ = ippErrorString (_tmp92_);
#line 154 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
		g_critical ("InkLevel.vala:154: Error: %s", _tmp93_);
#line 1570 "InkLevel.c"
	}
#line 157 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_tmp94_ = self->priv->colors;
#line 157 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	gee_list_sort ((GeeList*) _tmp94_, ___lambda46__gcompare_data_func, g_object_ref (self), g_object_unref);
#line 111 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	attributes = (_vala_array_free (attributes, attributes_length1, (GDestroyNotify) g_free), NULL);
#line 111 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_ippDelete0 (request);
#line 111 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	printer_uri = (g_free (printer_uri), NULL);
#line 1582 "InkLevel.c"
}


PrintersInkLevelColorLevel* printers_ink_level_color_level_construct (GType object_type) {
	PrintersInkLevelColorLevel * self = NULL;
#line 199 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	self = (PrintersInkLevelColorLevel*) g_object_new (object_type, NULL);
#line 199 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	return self;
#line 1592 "InkLevel.c"
}


PrintersInkLevelColorLevel* printers_ink_level_color_level_new (void) {
#line 199 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	return printers_ink_level_color_level_construct (PRINTERS_INK_LEVEL_TYPE_COLOR_LEVEL);
#line 1599 "InkLevel.c"
}


static void printers_ink_level_color_level_class_init (PrintersInkLevelColorLevelClass * klass) {
#line 192 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	printers_ink_level_color_level_parent_class = g_type_class_peek_parent (klass);
#line 192 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	G_OBJECT_CLASS (klass)->finalize = printers_ink_level_color_level_finalize;
#line 1608 "InkLevel.c"
}


static void printers_ink_level_color_level_instance_init (PrintersInkLevelColorLevel * self) {
#line 193 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	self->level = 0;
#line 194 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	self->level_max = 0;
#line 195 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	self->level_min = 0;
#line 196 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	self->color = NULL;
#line 197 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	self->name = NULL;
#line 1623 "InkLevel.c"
}


static void printers_ink_level_color_level_finalize (GObject* obj) {
	PrintersInkLevelColorLevel * self;
#line 192 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, PRINTERS_INK_LEVEL_TYPE_COLOR_LEVEL, PrintersInkLevelColorLevel);
#line 196 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_g_free0 (self->color);
#line 197 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_g_free0 (self->name);
#line 192 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	G_OBJECT_CLASS (printers_ink_level_color_level_parent_class)->finalize (obj);
#line 1637 "InkLevel.c"
}


GType printers_ink_level_color_level_get_type (void) {
	static volatile gsize printers_ink_level_color_level_type_id__volatile = 0;
	if (g_once_init_enter (&printers_ink_level_color_level_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (PrintersInkLevelColorLevelClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) printers_ink_level_color_level_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (PrintersInkLevelColorLevel), 0, (GInstanceInitFunc) printers_ink_level_color_level_instance_init, NULL };
		GType printers_ink_level_color_level_type_id;
		printers_ink_level_color_level_type_id = g_type_register_static (G_TYPE_OBJECT, "PrintersInkLevelColorLevel", &g_define_type_info, 0);
		g_once_init_leave (&printers_ink_level_color_level_type_id__volatile, printers_ink_level_color_level_type_id);
	}
	return printers_ink_level_color_level_type_id__volatile;
}


static void printers_ink_level_class_init (PrintersInkLevelClass * klass) {
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	printers_ink_level_parent_class = g_type_class_peek_parent (klass);
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	g_type_class_add_private (klass, sizeof (PrintersInkLevelPrivate));
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	G_OBJECT_CLASS (klass)->finalize = printers_ink_level_finalize;
#line 1660 "InkLevel.c"
}


static void printers_ink_level_instance_init (PrintersInkLevel * self) {
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	self->priv = PRINTERS_INK_LEVEL_GET_PRIVATE (self);
#line 1667 "InkLevel.c"
}


static void printers_ink_level_finalize (GObject* obj) {
	PrintersInkLevel * self;
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, PRINTERS_TYPE_INK_LEVEL, PrintersInkLevel);
#line 24 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_g_object_unref0 (self->priv->printer);
#line 25 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	_g_object_unref0 (self->priv->colors);
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/InkLevel.vala"
	G_OBJECT_CLASS (printers_ink_level_parent_class)->finalize (obj);
#line 1681 "InkLevel.c"
}


GType printers_ink_level_get_type (void) {
	static volatile gsize printers_ink_level_type_id__volatile = 0;
	if (g_once_init_enter (&printers_ink_level_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (PrintersInkLevelClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) printers_ink_level_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (PrintersInkLevel), 0, (GInstanceInitFunc) printers_ink_level_instance_init, NULL };
		GType printers_ink_level_type_id;
		printers_ink_level_type_id = g_type_register_static (gtk_grid_get_type (), "PrintersInkLevel", &g_define_type_info, 0);
		g_once_init_leave (&printers_ink_level_type_id__volatile, printers_ink_level_type_id);
	}
	return printers_ink_level_type_id__volatile;
}


static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	if ((array != NULL) && (destroy_func != NULL)) {
		int i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}


static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}



