/* OptionsPage.c generated by valac 0.34.4, the Vala compiler
 * generated from OptionsPage.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2015 Pantheon Developers (https://launchpad.net/switchboard-plug-printers)
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Authored by: Corentin Noël <corentin@elementary.io>
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <gee.h>
#include <granite.h>
#include <stdlib.h>
#include <string.h>
#include <glib/gi18n-lib.h>
#include <float.h>
#include <math.h>
#include <cups/cups.h>


#define PRINTERS_TYPE_OPTIONS_PAGE (printers_options_page_get_type ())
#define PRINTERS_OPTIONS_PAGE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), PRINTERS_TYPE_OPTIONS_PAGE, PrintersOptionsPage))
#define PRINTERS_OPTIONS_PAGE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), PRINTERS_TYPE_OPTIONS_PAGE, PrintersOptionsPageClass))
#define PRINTERS_IS_OPTIONS_PAGE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PRINTERS_TYPE_OPTIONS_PAGE))
#define PRINTERS_IS_OPTIONS_PAGE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PRINTERS_TYPE_OPTIONS_PAGE))
#define PRINTERS_OPTIONS_PAGE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), PRINTERS_TYPE_OPTIONS_PAGE, PrintersOptionsPageClass))

typedef struct _PrintersOptionsPage PrintersOptionsPage;
typedef struct _PrintersOptionsPageClass PrintersOptionsPageClass;
typedef struct _PrintersOptionsPagePrivate PrintersOptionsPagePrivate;

#define PRINTERS_TYPE_PRINTER (printers_printer_get_type ())
#define PRINTERS_PRINTER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), PRINTERS_TYPE_PRINTER, PrintersPrinter))
#define PRINTERS_PRINTER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), PRINTERS_TYPE_PRINTER, PrintersPrinterClass))
#define PRINTERS_IS_PRINTER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PRINTERS_TYPE_PRINTER))
#define PRINTERS_IS_PRINTER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PRINTERS_TYPE_PRINTER))
#define PRINTERS_PRINTER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), PRINTERS_TYPE_PRINTER, PrintersPrinterClass))

typedef struct _PrintersPrinter PrintersPrinter;
typedef struct _PrintersPrinterClass PrintersPrinterClass;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
typedef struct _Block12Data Block12Data;
typedef struct _Block13Data Block13Data;
typedef struct _Block14Data Block14Data;
#define _gtk_paper_size_free0(var) ((var == NULL) ? NULL : (var = (gtk_paper_size_free (var), NULL)))
typedef struct _Block15Data Block15Data;
typedef struct _Block16Data Block16Data;
#define _g_regex_unref0(var) ((var == NULL) ? NULL : (var = (g_regex_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
typedef struct _Block17Data Block17Data;

struct _PrintersOptionsPage {
	GtkGrid parent_instance;
	PrintersOptionsPagePrivate * priv;
};

struct _PrintersOptionsPageClass {
	GtkGridClass parent_class;
};

struct _PrintersOptionsPagePrivate {
	PrintersPrinter* printer;
	gint row_index;
};

struct _Block12Data {
	int _ref_count_;
	PrintersOptionsPage* self;
	GtkSwitch* two_switch;
};

struct _Block13Data {
	int _ref_count_;
	Block12Data * _data12_;
	GraniteWidgetsModeButton* two_mode;
};

struct _Block14Data {
	int _ref_count_;
	PrintersOptionsPage* self;
	GtkComboBoxText* combobox;
};

struct _Block15Data {
	int _ref_count_;
	PrintersOptionsPage* self;
	GtkComboBoxText* combobox;
};

struct _Block16Data {
	int _ref_count_;
	PrintersOptionsPage* self;
	GtkComboBoxText* combobox;
};

struct _Block17Data {
	int _ref_count_;
	PrintersOptionsPage* self;
	GtkComboBoxText* combobox;
};


static gpointer printers_options_page_parent_class = NULL;

GType printers_options_page_get_type (void) G_GNUC_CONST;
GType printers_printer_get_type (void) G_GNUC_CONST;
#define PRINTERS_OPTIONS_PAGE_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), PRINTERS_TYPE_OPTIONS_PAGE, PrintersOptionsPagePrivate))
enum  {
	PRINTERS_OPTIONS_PAGE_DUMMY_PROPERTY
};
PrintersOptionsPage* printers_options_page_new (PrintersPrinter* printer);
PrintersOptionsPage* printers_options_page_construct (GType object_type, PrintersPrinter* printer);
static void printers_options_page_build_pages_per_sheet (PrintersOptionsPage* self);
static void printers_options_page_build_two_sided (PrintersOptionsPage* self);
static void printers_options_page_build_orientation (PrintersOptionsPage* self);
static void printers_options_page_build_page_size (PrintersOptionsPage* self);
static void printers_options_page_build_output_bins (PrintersOptionsPage* self);
static void printers_options_page_build_print_color_mode (PrintersOptionsPage* self);
static void printers_options_page_build_print_quality (PrintersOptionsPage* self);
static void printers_options_page_build_media_source (PrintersOptionsPage* self);
void printers_printer_get_all (PrintersPrinter* self);
gint printers_printer_get_pages_per_sheet (PrintersPrinter* self, GeeTreeSet* pages_per_sheet);
static void ___lambda28_ (PrintersOptionsPage* self, GtkWidget* w);
void printers_printer_set_default_pages (PrintersPrinter* self, const gchar* new_default);
static void ____lambda28__granite_widgets_mode_button_mode_changed (GraniteWidgetsModeButton* _sender, GtkWidget* widget, gpointer self);
gchar* printers_printer_get_sides (PrintersPrinter* self, GeeTreeSet* sides);
static Block12Data* block12_data_ref (Block12Data* _data12_);
static void block12_data_unref (void * _userdata_);
static Block13Data* block13_data_ref (Block13Data* _data13_);
static void block13_data_unref (void * _userdata_);
static void ____lambda29_ (Block13Data* _data13_);
void printers_printer_set_default_side (PrintersPrinter* self, const gchar* new_default);
static void _____lambda29__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self);
static void ____lambda30_ (Block13Data* _data13_);
static void _____lambda30__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self);
static void ____lambda31_ (Block12Data* _data12_);
static void _____lambda31__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self);
gint printers_printer_get_orientations (PrintersPrinter* self, GeeTreeSet* orientations);
static Block14Data* block14_data_ref (Block14Data* _data14_);
static void block14_data_unref (void * _userdata_);
static void ___lambda32_ (Block14Data* _data14_);
void printers_printer_set_default_orientation (PrintersPrinter* self, const gchar* new_default);
static void ____lambda32__gtk_combo_box_changed (GtkComboBox* _sender, gpointer self);
gchar* printers_printer_get_media_sizes (PrintersPrinter* self, GeeTreeSet* media_sizes);
static void ___lambda33_ (PrintersOptionsPage* self);
static void ____lambda33__gtk_combo_box_changed (GtkComboBox* _sender, gpointer self);
gchar* printers_printer_get_print_color_modes (PrintersPrinter* self, GeeTreeSet* print_color_modes);
static Block15Data* block15_data_ref (Block15Data* _data15_);
static void block15_data_unref (void * _userdata_);
static void ___lambda35_ (Block15Data* _data15_);
void printers_printer_set_default_print_color_mode (PrintersPrinter* self, const gchar* new_default);
static void ____lambda35__gtk_combo_box_changed (GtkComboBox* _sender, gpointer self);
gchar* printers_printer_get_output_bins (PrintersPrinter* self, GeeTreeSet* output_bins);
static Block16Data* block16_data_ref (Block16Data* _data16_);
static void block16_data_unref (void * _userdata_);
static void ___lambda34_ (Block16Data* _data16_);
void printers_printer_set_default_output_bin (PrintersPrinter* self, const gchar* new_default);
static void ____lambda34__gtk_combo_box_changed (GtkComboBox* _sender, gpointer self);
gint printers_printer_get_print_qualities (PrintersPrinter* self, GeeTreeSet* print_qualities);
gchar* printers_printer_get_media_sources (PrintersPrinter* self, GeeTreeSet* media_sources);
static Block17Data* block17_data_ref (Block17Data* _data17_);
static void block17_data_unref (void * _userdata_);
static void ___lambda36_ (Block17Data* _data17_);
void printers_printer_set_default_media_source (PrintersPrinter* self, const gchar* new_default);
static void ____lambda36__gtk_combo_box_changed (GtkComboBox* _sender, gpointer self);
static void printers_options_page_finalize (GObject* obj);


static gpointer _g_object_ref0 (gpointer self) {
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	return self ? g_object_ref (self) : NULL;
#line 192 "OptionsPage.c"
}


PrintersOptionsPage* printers_options_page_construct (GType object_type, PrintersPrinter* printer) {
	PrintersOptionsPage * self = NULL;
	PrintersPrinter* _tmp0_ = NULL;
	PrintersPrinter* _tmp1_ = NULL;
	GtkGrid* expand_left = NULL;
	GtkGrid* _tmp2_ = NULL;
	GtkGrid* expand_right = NULL;
	GtkGrid* _tmp3_ = NULL;
	PrintersPrinter* _tmp4_ = NULL;
#line 27 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	g_return_val_if_fail (printer != NULL, NULL);
#line 27 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	self = (PrintersOptionsPage*) g_object_new (object_type, NULL);
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp0_ = printer;
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_g_object_unref0 (self->priv->printer);
#line 28 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	self->priv->printer = _tmp1_;
#line 29 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	g_object_set ((GtkWidget*) self, "expand", TRUE, NULL);
#line 30 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	g_object_set ((GtkWidget*) self, "margin", 12, NULL);
#line 31 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	gtk_grid_set_column_spacing ((GtkGrid*) self, 12);
#line 32 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	gtk_grid_set_row_spacing ((GtkGrid*) self, 6);
#line 34 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp2_ = (GtkGrid*) gtk_grid_new ();
#line 34 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	g_object_ref_sink (_tmp2_);
#line 34 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	expand_left = _tmp2_;
#line 35 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	gtk_widget_set_hexpand ((GtkWidget*) expand_left, TRUE);
#line 36 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp3_ = (GtkGrid*) gtk_grid_new ();
#line 36 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	g_object_ref_sink (_tmp3_);
#line 36 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	expand_right = _tmp3_;
#line 37 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	gtk_widget_set_hexpand ((GtkWidget*) expand_right, TRUE);
#line 38 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) expand_left, 0, 0, 1, 1);
#line 39 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) expand_right, 3, 0, 1, 1);
#line 40 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	printers_options_page_build_pages_per_sheet (self);
#line 41 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	printers_options_page_build_two_sided (self);
#line 42 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	printers_options_page_build_orientation (self);
#line 43 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	printers_options_page_build_page_size (self);
#line 44 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	printers_options_page_build_output_bins (self);
#line 45 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	printers_options_page_build_print_color_mode (self);
#line 46 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	printers_options_page_build_print_quality (self);
#line 47 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	printers_options_page_build_media_source (self);
#line 48 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp4_ = printer;
#line 48 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	printers_printer_get_all (_tmp4_);
#line 27 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_g_object_unref0 (expand_right);
#line 27 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_g_object_unref0 (expand_left);
#line 27 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	return self;
#line 271 "OptionsPage.c"
}


PrintersOptionsPage* printers_options_page_new (PrintersPrinter* printer) {
#line 27 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	return printers_options_page_construct (PRINTERS_TYPE_OPTIONS_PAGE, printer);
#line 278 "OptionsPage.c"
}


static void ___lambda28_ (PrintersOptionsPage* self, GtkWidget* w) {
	GtkLabel* label = NULL;
	GtkWidget* _tmp0_ = NULL;
	GtkLabel* _tmp1_ = NULL;
	PrintersPrinter* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
	const gchar* _tmp4_ = NULL;
#line 63 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	g_return_if_fail (w != NULL);
#line 64 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp0_ = w;
#line 64 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp1_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp0_, gtk_label_get_type ()) ? ((GtkLabel*) _tmp0_) : NULL);
#line 64 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	label = _tmp1_;
#line 65 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp2_ = self->priv->printer;
#line 65 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp3_ = gtk_label_get_label (label);
#line 65 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp4_ = _tmp3_;
#line 65 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	printers_printer_set_default_pages (_tmp2_, _tmp4_);
#line 63 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_g_object_unref0 (label);
#line 307 "OptionsPage.c"
}


static void ____lambda28__granite_widgets_mode_button_mode_changed (GraniteWidgetsModeButton* _sender, GtkWidget* widget, gpointer self) {
#line 63 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	___lambda28_ ((PrintersOptionsPage*) self, widget);
#line 314 "OptionsPage.c"
}


static void printers_options_page_build_pages_per_sheet (PrintersOptionsPage* self) {
	GeeTreeSet* pages_per_sheet = NULL;
	GeeTreeSet* _tmp0_ = NULL;
	gint default_page = 0;
	PrintersPrinter* _tmp1_ = NULL;
	GeeTreeSet* _tmp2_ = NULL;
	gint _tmp3_ = 0;
	GeeTreeSet* _tmp4_ = NULL;
	gint _tmp5_ = 0;
	gint _tmp6_ = 0;
#line 51 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	g_return_if_fail (self != NULL);
#line 52 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp0_ = gee_tree_set_new (G_TYPE_INT, NULL, NULL, NULL, NULL, NULL);
#line 52 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	pages_per_sheet = _tmp0_;
#line 53 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp1_ = self->priv->printer;
#line 53 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp2_ = pages_per_sheet;
#line 53 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp3_ = printers_printer_get_pages_per_sheet (_tmp1_, _tmp2_);
#line 53 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	default_page = _tmp3_;
#line 54 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp4_ = pages_per_sheet;
#line 54 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp5_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp4_);
#line 54 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp6_ = _tmp5_;
#line 54 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	if (_tmp6_ > 1) {
#line 350 "OptionsPage.c"
		GraniteWidgetsModeButton* box = NULL;
		GraniteWidgetsModeButton* _tmp7_ = NULL;
		GraniteWidgetsModeButton* _tmp24_ = NULL;
		GtkLabel* label = NULL;
		const gchar* _tmp25_ = NULL;
		GtkLabel* _tmp26_ = NULL;
		GtkLabel* _tmp27_ = NULL;
		GtkLabel* _tmp28_ = NULL;
		gint _tmp29_ = 0;
		GraniteWidgetsModeButton* _tmp30_ = NULL;
		gint _tmp31_ = 0;
		gint _tmp32_ = 0;
#line 55 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp7_ = granite_widgets_mode_button_new ();
#line 55 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_object_ref_sink (_tmp7_);
#line 55 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		box = _tmp7_;
#line 369 "OptionsPage.c"
		{
			GeeIterator* _page_it = NULL;
			GeeTreeSet* _tmp8_ = NULL;
			GeeIterator* _tmp9_ = NULL;
#line 56 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp8_ = pages_per_sheet;
#line 56 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp9_ = gee_abstract_collection_iterator ((GeeAbstractCollection*) _tmp8_);
#line 56 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_page_it = _tmp9_;
#line 56 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			while (TRUE) {
#line 382 "OptionsPage.c"
				GeeIterator* _tmp10_ = NULL;
				gboolean _tmp11_ = FALSE;
				gint page = 0;
				GeeIterator* _tmp12_ = NULL;
				gpointer _tmp13_ = NULL;
				gint index = 0;
				GraniteWidgetsModeButton* _tmp14_ = NULL;
				gint _tmp15_ = 0;
				gchar* _tmp16_ = NULL;
				gchar* _tmp17_ = NULL;
				gint _tmp18_ = 0;
				gint _tmp19_ = 0;
				gint _tmp20_ = 0;
				gint _tmp21_ = 0;
#line 56 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp10_ = _page_it;
#line 56 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp11_ = gee_iterator_next (_tmp10_);
#line 56 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				if (!_tmp11_) {
#line 56 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					break;
#line 405 "OptionsPage.c"
				}
#line 56 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp12_ = _page_it;
#line 56 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp13_ = gee_iterator_get (_tmp12_);
#line 56 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				page = (gint) ((gintptr) _tmp13_);
#line 57 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp14_ = box;
#line 57 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp15_ = page;
#line 57 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp16_ = g_strdup_printf ("%d", _tmp15_);
#line 57 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp17_ = _tmp16_;
#line 57 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp18_ = granite_widgets_mode_button_append_text (_tmp14_, _tmp17_);
#line 57 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp19_ = _tmp18_;
#line 57 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_g_free0 (_tmp17_);
#line 57 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				index = _tmp19_;
#line 58 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp20_ = page;
#line 58 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp21_ = default_page;
#line 58 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				if (_tmp20_ == _tmp21_) {
#line 435 "OptionsPage.c"
					GraniteWidgetsModeButton* _tmp22_ = NULL;
					gint _tmp23_ = 0;
#line 59 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					_tmp22_ = box;
#line 59 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					_tmp23_ = index;
#line 59 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					granite_widgets_mode_button_set_selected (_tmp22_, _tmp23_);
#line 444 "OptionsPage.c"
				}
			}
#line 56 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_g_object_unref0 (_page_it);
#line 449 "OptionsPage.c"
		}
#line 63 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp24_ = box;
#line 63 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_signal_connect_object (_tmp24_, "mode-changed", (GCallback) ____lambda28__granite_widgets_mode_button_mode_changed, self, 0);
#line 68 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp25_ = _ ("Pages per side:");
#line 68 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp26_ = (GtkLabel*) gtk_label_new (_tmp25_);
#line 68 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_object_ref_sink (_tmp26_);
#line 68 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		label = _tmp26_;
#line 69 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp27_ = label;
#line 69 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_object_set (G_TYPE_CHECK_INSTANCE_CAST (_tmp27_, gtk_misc_get_type (), GtkMisc), "xalign", (gfloat) 1, NULL);
#line 70 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp28_ = label;
#line 70 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp29_ = self->priv->row_index;
#line 70 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp28_, 1, _tmp29_, 1, 1);
#line 71 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp30_ = box;
#line 71 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp31_ = self->priv->row_index;
#line 71 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp30_, 2, _tmp31_, 1, 1);
#line 72 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp32_ = self->priv->row_index;
#line 72 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		self->priv->row_index = _tmp32_ + 1;
#line 54 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_g_object_unref0 (label);
#line 54 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_g_object_unref0 (box);
#line 487 "OptionsPage.c"
	}
#line 51 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_g_object_unref0 (pages_per_sheet);
#line 491 "OptionsPage.c"
}


static Block12Data* block12_data_ref (Block12Data* _data12_) {
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	g_atomic_int_inc (&_data12_->_ref_count_);
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	return _data12_;
#line 500 "OptionsPage.c"
}


static void block12_data_unref (void * _userdata_) {
	Block12Data* _data12_;
	_data12_ = (Block12Data*) _userdata_;
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	if (g_atomic_int_dec_and_test (&_data12_->_ref_count_)) {
#line 509 "OptionsPage.c"
		PrintersOptionsPage* self;
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		self = _data12_->self;
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_g_object_unref0 (_data12_->two_switch);
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_g_object_unref0 (self);
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_slice_free (Block12Data, _data12_);
#line 519 "OptionsPage.c"
	}
}


static Block13Data* block13_data_ref (Block13Data* _data13_) {
#line 89 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	g_atomic_int_inc (&_data13_->_ref_count_);
#line 89 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	return _data13_;
#line 529 "OptionsPage.c"
}


static void block13_data_unref (void * _userdata_) {
	Block13Data* _data13_;
	_data13_ = (Block13Data*) _userdata_;
#line 89 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	if (g_atomic_int_dec_and_test (&_data13_->_ref_count_)) {
#line 538 "OptionsPage.c"
		PrintersOptionsPage* self;
#line 89 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		self = _data13_->_data12_->self;
#line 89 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_g_object_unref0 (_data13_->two_mode);
#line 89 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		block12_data_unref (_data13_->_data12_);
#line 89 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_data13_->_data12_ = NULL;
#line 89 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_slice_free (Block13Data, _data13_);
#line 550 "OptionsPage.c"
	}
}


static void ____lambda29_ (Block13Data* _data13_) {
	Block12Data* _data12_;
	PrintersOptionsPage* self;
	GraniteWidgetsModeButton* _tmp0_ = NULL;
	gint _tmp1_ = 0;
	gint _tmp2_ = 0;
#line 112 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_data12_ = _data13_->_data12_;
#line 112 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	self = _data12_->self;
#line 113 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp0_ = _data13_->two_mode;
#line 113 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp1_ = granite_widgets_mode_button_get_selected (_tmp0_);
#line 113 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp2_ = _tmp1_;
#line 113 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	if (_tmp2_ == 0) {
#line 573 "OptionsPage.c"
		PrintersPrinter* _tmp3_ = NULL;
#line 114 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp3_ = self->priv->printer;
#line 114 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		printers_printer_set_default_side (_tmp3_, CUPS_SIDES_TWO_SIDED_PORTRAIT);
#line 579 "OptionsPage.c"
	} else {
		PrintersPrinter* _tmp4_ = NULL;
#line 116 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp4_ = self->priv->printer;
#line 116 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		printers_printer_set_default_side (_tmp4_, CUPS_SIDES_TWO_SIDED_LANDSCAPE);
#line 586 "OptionsPage.c"
	}
}


static void _____lambda29__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self) {
#line 112 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	____lambda29_ (self);
#line 594 "OptionsPage.c"
}


static void ____lambda30_ (Block13Data* _data13_) {
	Block12Data* _data12_;
	PrintersOptionsPage* self;
	GtkSwitch* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp2_ = FALSE;
#line 120 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_data12_ = _data13_->_data12_;
#line 120 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	self = _data12_->self;
#line 121 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp0_ = _data12_->two_switch;
#line 121 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp1_ = gtk_switch_get_active (_tmp0_);
#line 121 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp2_ = _tmp1_;
#line 121 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	if (_tmp2_) {
#line 616 "OptionsPage.c"
		GraniteWidgetsModeButton* _tmp3_ = NULL;
		gint _tmp4_ = 0;
		gint _tmp5_ = 0;
#line 122 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp3_ = _data13_->two_mode;
#line 122 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp4_ = granite_widgets_mode_button_get_selected (_tmp3_);
#line 122 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp5_ = _tmp4_;
#line 122 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		if (_tmp5_ == 0) {
#line 628 "OptionsPage.c"
			PrintersPrinter* _tmp6_ = NULL;
#line 123 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp6_ = self->priv->printer;
#line 123 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			printers_printer_set_default_side (_tmp6_, CUPS_SIDES_TWO_SIDED_PORTRAIT);
#line 634 "OptionsPage.c"
		} else {
			PrintersPrinter* _tmp7_ = NULL;
#line 125 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp7_ = self->priv->printer;
#line 125 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			printers_printer_set_default_side (_tmp7_, CUPS_SIDES_TWO_SIDED_LANDSCAPE);
#line 641 "OptionsPage.c"
		}
	} else {
		PrintersPrinter* _tmp8_ = NULL;
#line 128 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp8_ = self->priv->printer;
#line 128 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		printers_printer_set_default_side (_tmp8_, CUPS_SIDES_ONE_SIDED);
#line 649 "OptionsPage.c"
	}
}


static void _____lambda30__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self) {
#line 120 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	____lambda30_ (self);
#line 657 "OptionsPage.c"
}


static void ____lambda31_ (Block12Data* _data12_) {
	PrintersOptionsPage* self;
	GtkSwitch* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp2_ = FALSE;
#line 132 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	self = _data12_->self;
#line 133 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp0_ = _data12_->two_switch;
#line 133 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp1_ = gtk_switch_get_active (_tmp0_);
#line 133 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp2_ = _tmp1_;
#line 133 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	if (_tmp2_) {
#line 676 "OptionsPage.c"
		PrintersPrinter* _tmp3_ = NULL;
#line 134 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp3_ = self->priv->printer;
#line 134 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		printers_printer_set_default_side (_tmp3_, CUPS_SIDES_TWO_SIDED_PORTRAIT);
#line 682 "OptionsPage.c"
	} else {
		PrintersPrinter* _tmp4_ = NULL;
#line 136 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp4_ = self->priv->printer;
#line 136 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		printers_printer_set_default_side (_tmp4_, CUPS_SIDES_ONE_SIDED);
#line 689 "OptionsPage.c"
	}
}


static void _____lambda31__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self) {
#line 132 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	____lambda31_ (self);
#line 697 "OptionsPage.c"
}


static void printers_options_page_build_two_sided (PrintersOptionsPage* self) {
	GeeTreeSet* sides = NULL;
	GeeTreeSet* _tmp0_ = NULL;
	gchar* default_side = NULL;
	PrintersPrinter* _tmp1_ = NULL;
	GeeTreeSet* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	GeeTreeSet* _tmp4_ = NULL;
	gint _tmp5_ = 0;
	gint _tmp6_ = 0;
#line 76 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	g_return_if_fail (self != NULL);
#line 77 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp0_ = gee_tree_set_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, g_free, NULL, NULL, NULL);
#line 77 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	sides = _tmp0_;
#line 78 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp1_ = self->priv->printer;
#line 78 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp2_ = sides;
#line 78 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp3_ = printers_printer_get_sides (_tmp1_, _tmp2_);
#line 78 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	default_side = _tmp3_;
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp4_ = sides;
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp5_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp4_);
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp6_ = _tmp5_;
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	if (_tmp6_ > 1) {
#line 733 "OptionsPage.c"
		Block12Data* _data12_;
		GtkGrid* grid = NULL;
		GtkGrid* _tmp7_ = NULL;
		GtkGrid* _tmp8_ = NULL;
		GtkGrid* _tmp9_ = NULL;
		GtkSwitch* _tmp10_ = NULL;
		GtkGrid* switch_grid = NULL;
		GtkGrid* _tmp11_ = NULL;
		GtkGrid* _tmp12_ = NULL;
		GtkSwitch* _tmp13_ = NULL;
		GtkGrid* _tmp14_ = NULL;
		GtkGrid* _tmp15_ = NULL;
		GtkGrid* _tmp16_ = NULL;
		GeeTreeSet* _tmp17_ = NULL;
		gint _tmp18_ = 0;
		gint _tmp19_ = 0;
		GtkLabel* label = NULL;
		const gchar* _tmp44_ = NULL;
		GtkLabel* _tmp45_ = NULL;
		GtkLabel* _tmp46_ = NULL;
		GtkLabel* _tmp47_ = NULL;
		gint _tmp48_ = 0;
		GtkGrid* _tmp49_ = NULL;
		gint _tmp50_ = 0;
		gint _tmp51_ = 0;
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_data12_ = g_slice_new0 (Block12Data);
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_data12_->_ref_count_ = 1;
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_data12_->self = g_object_ref (self);
#line 80 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp7_ = (GtkGrid*) gtk_grid_new ();
#line 80 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_object_ref_sink (_tmp7_);
#line 80 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		grid = _tmp7_;
#line 81 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp8_ = grid;
#line 81 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_grid_set_column_spacing (_tmp8_, 12);
#line 82 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp9_ = grid;
#line 82 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_orientable_set_orientation ((GtkOrientable*) _tmp9_, GTK_ORIENTATION_HORIZONTAL);
#line 83 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp10_ = (GtkSwitch*) gtk_switch_new ();
#line 83 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_object_ref_sink (_tmp10_);
#line 83 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_data12_->two_switch = _tmp10_;
#line 84 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp11_ = (GtkGrid*) gtk_grid_new ();
#line 84 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_object_ref_sink (_tmp11_);
#line 84 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		switch_grid = _tmp11_;
#line 85 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp12_ = switch_grid;
#line 85 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp13_ = _data12_->two_switch;
#line 85 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_container_add ((GtkContainer*) _tmp12_, (GtkWidget*) _tmp13_);
#line 86 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp14_ = switch_grid;
#line 86 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_widget_set_valign ((GtkWidget*) _tmp14_, GTK_ALIGN_CENTER);
#line 87 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp15_ = grid;
#line 87 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp16_ = switch_grid;
#line 87 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_container_add ((GtkContainer*) _tmp15_, (GtkWidget*) _tmp16_);
#line 89 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp17_ = sides;
#line 89 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp18_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp17_);
#line 89 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp19_ = _tmp18_;
#line 89 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		if (_tmp19_ > 2) {
#line 815 "OptionsPage.c"
			Block13Data* _data13_;
			GraniteWidgetsModeButton* _tmp20_ = NULL;
			GraniteWidgetsModeButton* _tmp21_ = NULL;
			GtkSwitch* _tmp22_ = NULL;
			GraniteWidgetsModeButton* _tmp23_ = NULL;
			GtkGrid* _tmp24_ = NULL;
			GraniteWidgetsModeButton* _tmp25_ = NULL;
			GraniteWidgetsModeButton* _tmp26_ = NULL;
			const gchar* _tmp27_ = NULL;
			GraniteWidgetsModeButton* _tmp28_ = NULL;
			GraniteWidgetsModeButton* _tmp29_ = NULL;
			const gchar* _tmp30_ = NULL;
			const gchar* _tmp31_ = NULL;
			const gchar* _tmp32_ = NULL;
			GQuark _tmp34_ = 0U;
			GraniteWidgetsModeButton* _tmp41_ = NULL;
			GtkSwitch* _tmp42_ = NULL;
#line 89 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_data13_ = g_slice_new0 (Block13Data);
#line 89 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_data13_->_ref_count_ = 1;
#line 89 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_data13_->_data12_ = block12_data_ref (_data12_);
#line 90 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp20_ = granite_widgets_mode_button_new ();
#line 90 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			g_object_ref_sink (_tmp20_);
#line 90 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_data13_->two_mode = _tmp20_;
#line 91 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp21_ = _data13_->two_mode;
#line 91 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			gtk_widget_set_hexpand ((GtkWidget*) _tmp21_, TRUE);
#line 92 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp22_ = _data12_->two_switch;
#line 92 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp23_ = _data13_->two_mode;
#line 92 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			g_object_bind_property_with_closures ((GObject*) _tmp22_, "active", (GObject*) _tmp23_, "sensitive", G_BINDING_DEFAULT, (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, NULL)), (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, NULL)));
#line 93 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp24_ = grid;
#line 93 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp25_ = _data13_->two_mode;
#line 93 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			gtk_container_add ((GtkContainer*) _tmp24_, (GtkWidget*) _tmp25_);
#line 94 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp26_ = _data13_->two_mode;
#line 94 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp27_ = g_dgettext ("gtk30", "Long Edge (Standard)");
#line 94 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			granite_widgets_mode_button_append_text (_tmp26_, _tmp27_);
#line 95 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp28_ = _data13_->two_mode;
#line 95 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			granite_widgets_mode_button_set_selected (_tmp28_, 0);
#line 96 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp29_ = _data13_->two_mode;
#line 96 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp30_ = g_dgettext ("gtk30", "Short Edge (Flip)");
#line 96 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			granite_widgets_mode_button_append_text (_tmp29_, _tmp30_);
#line 97 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp31_ = default_side;
#line 97 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp32_ = _tmp31_;
#line 97 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp34_ = (NULL == _tmp32_) ? 0 : g_quark_from_string (_tmp32_);
#line 97 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			if (_tmp34_ == g_quark_from_string (CUPS_SIDES_TWO_SIDED_PORTRAIT)) {
#line 97 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				switch (0) {
#line 887 "OptionsPage.c"
					default:
					{
						GraniteWidgetsModeButton* _tmp35_ = NULL;
						GtkSwitch* _tmp36_ = NULL;
#line 99 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp35_ = _data13_->two_mode;
#line 99 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						granite_widgets_mode_button_set_selected (_tmp35_, 0);
#line 100 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp36_ = _data12_->two_switch;
#line 100 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						gtk_switch_set_active (_tmp36_, TRUE);
#line 101 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						break;
#line 902 "OptionsPage.c"
					}
				}
			} else if (_tmp34_ == g_quark_from_string (CUPS_SIDES_TWO_SIDED_LANDSCAPE)) {
#line 97 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				switch (0) {
#line 908 "OptionsPage.c"
					default:
					{
						GraniteWidgetsModeButton* _tmp37_ = NULL;
						GtkSwitch* _tmp38_ = NULL;
#line 103 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp37_ = _data13_->two_mode;
#line 103 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						granite_widgets_mode_button_set_selected (_tmp37_, 1);
#line 104 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp38_ = _data12_->two_switch;
#line 104 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						gtk_switch_set_active (_tmp38_, TRUE);
#line 105 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						break;
#line 923 "OptionsPage.c"
					}
				}
			} else if (_tmp34_ == g_quark_from_string (CUPS_SIDES_ONE_SIDED)) {
#line 97 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				switch (0) {
#line 929 "OptionsPage.c"
					default:
					{
						GtkSwitch* _tmp39_ = NULL;
						GraniteWidgetsModeButton* _tmp40_ = NULL;
#line 107 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp39_ = _data12_->two_switch;
#line 107 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						gtk_switch_set_active (_tmp39_, FALSE);
#line 108 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp40_ = _data13_->two_mode;
#line 108 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						gtk_widget_set_sensitive ((GtkWidget*) _tmp40_, FALSE);
#line 109 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						break;
#line 944 "OptionsPage.c"
					}
				}
			}
#line 112 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp41_ = _data13_->two_mode;
#line 112 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			g_signal_connect_data ((GObject*) _tmp41_, "notify::selected", (GCallback) _____lambda29__g_object_notify, block13_data_ref (_data13_), (GClosureNotify) block13_data_unref, 0);
#line 120 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp42_ = _data12_->two_switch;
#line 120 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			g_signal_connect_data ((GObject*) _tmp42_, "notify::active", (GCallback) _____lambda30__g_object_notify, block13_data_ref (_data13_), (GClosureNotify) block13_data_unref, 0);
#line 89 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			block13_data_unref (_data13_);
#line 89 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_data13_ = NULL;
#line 960 "OptionsPage.c"
		} else {
			GtkSwitch* _tmp43_ = NULL;
#line 132 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp43_ = _data12_->two_switch;
#line 132 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			g_signal_connect_data ((GObject*) _tmp43_, "notify::active", (GCallback) _____lambda31__g_object_notify, block12_data_ref (_data12_), (GClosureNotify) block12_data_unref, 0);
#line 967 "OptionsPage.c"
		}
#line 140 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp44_ = _ ("Two-sided:");
#line 140 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp45_ = (GtkLabel*) gtk_label_new (_tmp44_);
#line 140 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_object_ref_sink (_tmp45_);
#line 140 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		label = _tmp45_;
#line 141 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp46_ = label;
#line 141 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_object_set (G_TYPE_CHECK_INSTANCE_CAST (_tmp46_, gtk_misc_get_type (), GtkMisc), "xalign", (gfloat) 1, NULL);
#line 142 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp47_ = label;
#line 142 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp48_ = self->priv->row_index;
#line 142 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp47_, 1, _tmp48_, 1, 1);
#line 143 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp49_ = grid;
#line 143 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp50_ = self->priv->row_index;
#line 143 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp49_, 2, _tmp50_, 1, 1);
#line 144 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp51_ = self->priv->row_index;
#line 144 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		self->priv->row_index = _tmp51_ + 1;
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_g_object_unref0 (label);
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_g_object_unref0 (switch_grid);
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_g_object_unref0 (grid);
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		block12_data_unref (_data12_);
#line 79 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_data12_ = NULL;
#line 1007 "OptionsPage.c"
	}
#line 76 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_g_free0 (default_side);
#line 76 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_g_object_unref0 (sides);
#line 1013 "OptionsPage.c"
}


static Block14Data* block14_data_ref (Block14Data* _data14_) {
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	g_atomic_int_inc (&_data14_->_ref_count_);
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	return _data14_;
#line 1022 "OptionsPage.c"
}


static void block14_data_unref (void * _userdata_) {
	Block14Data* _data14_;
	_data14_ = (Block14Data*) _userdata_;
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	if (g_atomic_int_dec_and_test (&_data14_->_ref_count_)) {
#line 1031 "OptionsPage.c"
		PrintersOptionsPage* self;
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		self = _data14_->self;
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_g_object_unref0 (_data14_->combobox);
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_g_object_unref0 (self);
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_slice_free (Block14Data, _data14_);
#line 1041 "OptionsPage.c"
	}
}


static void ___lambda32_ (Block14Data* _data14_) {
	PrintersOptionsPage* self;
	PrintersPrinter* _tmp0_ = NULL;
	GtkComboBoxText* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
#line 171 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	self = _data14_->self;
#line 172 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp0_ = self->priv->printer;
#line 172 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp1_ = _data14_->combobox;
#line 172 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp2_ = gtk_combo_box_get_active_id ((GtkComboBox*) _tmp1_);
#line 172 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	printers_printer_set_default_orientation (_tmp0_, _tmp2_);
#line 1061 "OptionsPage.c"
}


static void ____lambda32__gtk_combo_box_changed (GtkComboBox* _sender, gpointer self) {
#line 171 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	___lambda32_ (self);
#line 1068 "OptionsPage.c"
}


static void printers_options_page_build_orientation (PrintersOptionsPage* self) {
	GeeTreeSet* orientations = NULL;
	GeeTreeSet* _tmp0_ = NULL;
	gint default_orientation = 0;
	PrintersPrinter* _tmp1_ = NULL;
	GeeTreeSet* _tmp2_ = NULL;
	gint _tmp3_ = 0;
	GeeTreeSet* _tmp4_ = NULL;
	gint _tmp5_ = 0;
	gint _tmp6_ = 0;
#line 148 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	g_return_if_fail (self != NULL);
#line 149 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp0_ = gee_tree_set_new (G_TYPE_INT, NULL, NULL, NULL, NULL, NULL);
#line 149 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	orientations = _tmp0_;
#line 150 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp1_ = self->priv->printer;
#line 150 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp2_ = orientations;
#line 150 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp3_ = printers_printer_get_orientations (_tmp1_, _tmp2_);
#line 150 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	default_orientation = _tmp3_;
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp4_ = orientations;
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp5_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp4_);
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp6_ = _tmp5_;
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	if (_tmp6_ > 1) {
#line 1104 "OptionsPage.c"
		Block14Data* _data14_;
		GtkComboBoxText* _tmp7_ = NULL;
		GtkComboBoxText* _tmp31_ = NULL;
		gint _tmp32_ = 0;
		gchar* _tmp33_ = NULL;
		gchar* _tmp34_ = NULL;
		GtkComboBoxText* _tmp35_ = NULL;
		GtkLabel* label = NULL;
		const gchar* _tmp36_ = NULL;
		GtkLabel* _tmp37_ = NULL;
		GtkLabel* _tmp38_ = NULL;
		GtkLabel* _tmp39_ = NULL;
		gint _tmp40_ = 0;
		GtkComboBoxText* _tmp41_ = NULL;
		gint _tmp42_ = 0;
		gint _tmp43_ = 0;
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_data14_ = g_slice_new0 (Block14Data);
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_data14_->_ref_count_ = 1;
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_data14_->self = g_object_ref (self);
#line 152 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp7_ = (GtkComboBoxText*) gtk_combo_box_text_new ();
#line 152 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_object_ref_sink (_tmp7_);
#line 152 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_data14_->combobox = _tmp7_;
#line 1133 "OptionsPage.c"
		{
			GeeIterator* _orientation_it = NULL;
			GeeTreeSet* _tmp8_ = NULL;
			GeeIterator* _tmp9_ = NULL;
#line 153 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp8_ = orientations;
#line 153 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp9_ = gee_abstract_collection_iterator ((GeeAbstractCollection*) _tmp8_);
#line 153 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_orientation_it = _tmp9_;
#line 153 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			while (TRUE) {
#line 1146 "OptionsPage.c"
				GeeIterator* _tmp10_ = NULL;
				gboolean _tmp11_ = FALSE;
				gint orientation = 0;
				GeeIterator* _tmp12_ = NULL;
				gpointer _tmp13_ = NULL;
				gint _tmp14_ = 0;
#line 153 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp10_ = _orientation_it;
#line 153 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp11_ = gee_iterator_next (_tmp10_);
#line 153 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				if (!_tmp11_) {
#line 153 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					break;
#line 1161 "OptionsPage.c"
				}
#line 153 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp12_ = _orientation_it;
#line 153 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp13_ = gee_iterator_get (_tmp12_);
#line 153 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				orientation = (gint) ((gintptr) _tmp13_);
#line 154 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp14_ = orientation;
#line 154 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				switch (_tmp14_) {
#line 154 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					case 3:
#line 1175 "OptionsPage.c"
					{
						GtkComboBoxText* _tmp15_ = NULL;
						gchar* _tmp16_ = NULL;
						gchar* _tmp17_ = NULL;
						const gchar* _tmp18_ = NULL;
#line 156 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp15_ = _data14_->combobox;
#line 156 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp16_ = g_strdup_printf ("%d", 3);
#line 156 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp17_ = _tmp16_;
#line 156 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp18_ = g_dgettext ("gtk30", "Portrait");
#line 156 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						gtk_combo_box_text_append (_tmp15_, _tmp17_, _tmp18_);
#line 156 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_g_free0 (_tmp17_);
#line 157 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						break;
#line 1195 "OptionsPage.c"
					}
#line 154 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					case 4:
#line 1199 "OptionsPage.c"
					{
						GtkComboBoxText* _tmp19_ = NULL;
						gchar* _tmp20_ = NULL;
						gchar* _tmp21_ = NULL;
						const gchar* _tmp22_ = NULL;
#line 159 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp19_ = _data14_->combobox;
#line 159 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp20_ = g_strdup_printf ("%d", 4);
#line 159 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp21_ = _tmp20_;
#line 159 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp22_ = g_dgettext ("gtk30", "Landscape");
#line 159 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						gtk_combo_box_text_append (_tmp19_, _tmp21_, _tmp22_);
#line 159 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_g_free0 (_tmp21_);
#line 160 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						break;
#line 1219 "OptionsPage.c"
					}
#line 154 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					case 5:
#line 1223 "OptionsPage.c"
					{
						GtkComboBoxText* _tmp23_ = NULL;
						gchar* _tmp24_ = NULL;
						gchar* _tmp25_ = NULL;
						const gchar* _tmp26_ = NULL;
#line 162 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp23_ = _data14_->combobox;
#line 162 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp24_ = g_strdup_printf ("%d", 5);
#line 162 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp25_ = _tmp24_;
#line 162 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp26_ = g_dgettext ("gtk30", "Reverse portrait");
#line 162 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						gtk_combo_box_text_append (_tmp23_, _tmp25_, _tmp26_);
#line 162 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_g_free0 (_tmp25_);
#line 163 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						break;
#line 1243 "OptionsPage.c"
					}
#line 154 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					case 6:
#line 1247 "OptionsPage.c"
					{
						GtkComboBoxText* _tmp27_ = NULL;
						gchar* _tmp28_ = NULL;
						gchar* _tmp29_ = NULL;
						const gchar* _tmp30_ = NULL;
#line 165 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp27_ = _data14_->combobox;
#line 165 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp28_ = g_strdup_printf ("%d", 6);
#line 165 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp29_ = _tmp28_;
#line 165 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp30_ = g_dgettext ("gtk30", "Reverse landscape");
#line 165 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						gtk_combo_box_text_append (_tmp27_, _tmp29_, _tmp30_);
#line 165 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_g_free0 (_tmp29_);
#line 166 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						break;
#line 1267 "OptionsPage.c"
					}
					default:
#line 154 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					break;
#line 1272 "OptionsPage.c"
				}
			}
#line 153 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_g_object_unref0 (_orientation_it);
#line 1277 "OptionsPage.c"
		}
#line 170 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp31_ = _data14_->combobox;
#line 170 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp32_ = default_orientation;
#line 170 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp33_ = g_strdup_printf ("%d", _tmp32_);
#line 170 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp34_ = _tmp33_;
#line 170 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_combo_box_set_active_id ((GtkComboBox*) _tmp31_, _tmp34_);
#line 170 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_g_free0 (_tmp34_);
#line 171 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp35_ = _data14_->combobox;
#line 171 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_signal_connect_data ((GtkComboBox*) _tmp35_, "changed", (GCallback) ____lambda32__gtk_combo_box_changed, block14_data_ref (_data14_), (GClosureNotify) block14_data_unref, 0);
#line 174 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp36_ = _ ("Orientation:");
#line 174 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp37_ = (GtkLabel*) gtk_label_new (_tmp36_);
#line 174 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_object_ref_sink (_tmp37_);
#line 174 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		label = _tmp37_;
#line 175 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp38_ = label;
#line 175 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_object_set (G_TYPE_CHECK_INSTANCE_CAST (_tmp38_, gtk_misc_get_type (), GtkMisc), "xalign", (gfloat) 1, NULL);
#line 176 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp39_ = label;
#line 176 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp40_ = self->priv->row_index;
#line 176 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp39_, 1, _tmp40_, 1, 1);
#line 177 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp41_ = _data14_->combobox;
#line 177 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp42_ = self->priv->row_index;
#line 177 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp41_, 2, _tmp42_, 1, 1);
#line 178 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp43_ = self->priv->row_index;
#line 178 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		self->priv->row_index = _tmp43_ + 1;
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_g_object_unref0 (label);
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		block14_data_unref (_data14_);
#line 151 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_data14_ = NULL;
#line 1329 "OptionsPage.c"
	}
#line 148 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_g_object_unref0 (orientations);
#line 1333 "OptionsPage.c"
}


static void ___lambda33_ (PrintersOptionsPage* self) {
}


static void ____lambda33__gtk_combo_box_changed (GtkComboBox* _sender, gpointer self) {
#line 193 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	___lambda33_ ((PrintersOptionsPage*) self);
#line 1344 "OptionsPage.c"
}


static void printers_options_page_build_page_size (PrintersOptionsPage* self) {
	GeeTreeSet* media_sizes = NULL;
	GeeTreeSet* _tmp0_ = NULL;
	gchar* default_media_source = NULL;
	PrintersPrinter* _tmp1_ = NULL;
	GeeTreeSet* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	GeeTreeSet* _tmp4_ = NULL;
	gint _tmp5_ = 0;
	gint _tmp6_ = 0;
#line 182 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	g_return_if_fail (self != NULL);
#line 183 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp0_ = gee_tree_set_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, g_free, NULL, NULL, NULL);
#line 183 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	media_sizes = _tmp0_;
#line 184 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp1_ = self->priv->printer;
#line 184 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp2_ = media_sizes;
#line 184 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp3_ = printers_printer_get_media_sizes (_tmp1_, _tmp2_);
#line 184 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	default_media_source = _tmp3_;
#line 185 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp4_ = media_sizes;
#line 185 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp5_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp4_);
#line 185 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp6_ = _tmp5_;
#line 185 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	if (_tmp6_ > 1) {
#line 1380 "OptionsPage.c"
		GtkComboBoxText* combobox = NULL;
		GtkComboBoxText* _tmp7_ = NULL;
		GtkComboBoxText* _tmp21_ = NULL;
		const gchar* _tmp22_ = NULL;
		GtkComboBoxText* _tmp23_ = NULL;
		GtkLabel* label = NULL;
		const gchar* _tmp24_ = NULL;
		GtkLabel* _tmp25_ = NULL;
		GtkLabel* _tmp26_ = NULL;
		GtkLabel* _tmp27_ = NULL;
		gint _tmp28_ = 0;
		GtkComboBoxText* _tmp29_ = NULL;
		gint _tmp30_ = 0;
		gint _tmp31_ = 0;
#line 186 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp7_ = (GtkComboBoxText*) gtk_combo_box_text_new ();
#line 186 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_object_ref_sink (_tmp7_);
#line 186 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		combobox = _tmp7_;
#line 1401 "OptionsPage.c"
		{
			GeeIterator* _media_size_it = NULL;
			GeeTreeSet* _tmp8_ = NULL;
			GeeIterator* _tmp9_ = NULL;
#line 187 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp8_ = media_sizes;
#line 187 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp9_ = gee_abstract_collection_iterator ((GeeAbstractCollection*) _tmp8_);
#line 187 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_media_size_it = _tmp9_;
#line 187 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			while (TRUE) {
#line 1414 "OptionsPage.c"
				GeeIterator* _tmp10_ = NULL;
				gboolean _tmp11_ = FALSE;
				gchar* media_size = NULL;
				GeeIterator* _tmp12_ = NULL;
				gpointer _tmp13_ = NULL;
				GtkPaperSize* papersize = NULL;
				const gchar* _tmp14_ = NULL;
				GtkPaperSize* _tmp15_ = NULL;
				GtkComboBoxText* _tmp16_ = NULL;
				GtkPaperSize* _tmp17_ = NULL;
				const gchar* _tmp18_ = NULL;
				GtkPaperSize* _tmp19_ = NULL;
				const gchar* _tmp20_ = NULL;
#line 187 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp10_ = _media_size_it;
#line 187 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp11_ = gee_iterator_next (_tmp10_);
#line 187 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				if (!_tmp11_) {
#line 187 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					break;
#line 1436 "OptionsPage.c"
				}
#line 187 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp12_ = _media_size_it;
#line 187 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp13_ = gee_iterator_get (_tmp12_);
#line 187 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				media_size = (gchar*) _tmp13_;
#line 188 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp14_ = media_size;
#line 188 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp15_ = gtk_paper_size_new (_tmp14_);
#line 188 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				papersize = _tmp15_;
#line 189 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp16_ = combobox;
#line 189 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp17_ = papersize;
#line 189 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp18_ = gtk_paper_size_get_name (_tmp17_);
#line 189 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp19_ = papersize;
#line 189 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp20_ = gtk_paper_size_get_display_name (_tmp19_);
#line 189 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				gtk_combo_box_text_append (_tmp16_, _tmp18_, _tmp20_);
#line 187 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_gtk_paper_size_free0 (papersize);
#line 187 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_g_free0 (media_size);
#line 1466 "OptionsPage.c"
			}
#line 187 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_g_object_unref0 (_media_size_it);
#line 1470 "OptionsPage.c"
		}
#line 192 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp21_ = combobox;
#line 192 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp22_ = default_media_source;
#line 192 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_combo_box_set_active_id ((GtkComboBox*) _tmp21_, _tmp22_);
#line 193 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp23_ = combobox;
#line 193 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_signal_connect_object ((GtkComboBox*) _tmp23_, "changed", (GCallback) ____lambda33__gtk_combo_box_changed, self, 0);
#line 196 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp24_ = _ ("Media Size:");
#line 196 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp25_ = (GtkLabel*) gtk_label_new (_tmp24_);
#line 196 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_object_ref_sink (_tmp25_);
#line 196 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		label = _tmp25_;
#line 197 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp26_ = label;
#line 197 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_object_set (G_TYPE_CHECK_INSTANCE_CAST (_tmp26_, gtk_misc_get_type (), GtkMisc), "xalign", (gfloat) 1, NULL);
#line 198 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp27_ = label;
#line 198 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp28_ = self->priv->row_index;
#line 198 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp27_, 1, _tmp28_, 1, 1);
#line 199 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp29_ = combobox;
#line 199 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp30_ = self->priv->row_index;
#line 199 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp29_, 2, _tmp30_, 1, 1);
#line 200 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp31_ = self->priv->row_index;
#line 200 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		self->priv->row_index = _tmp31_ + 1;
#line 185 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_g_object_unref0 (label);
#line 185 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_g_object_unref0 (combobox);
#line 1514 "OptionsPage.c"
	}
#line 182 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_g_free0 (default_media_source);
#line 182 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_g_object_unref0 (media_sizes);
#line 1520 "OptionsPage.c"
}


static Block15Data* block15_data_ref (Block15Data* _data15_) {
#line 207 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	g_atomic_int_inc (&_data15_->_ref_count_);
#line 207 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	return _data15_;
#line 1529 "OptionsPage.c"
}


static void block15_data_unref (void * _userdata_) {
	Block15Data* _data15_;
	_data15_ = (Block15Data*) _userdata_;
#line 207 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	if (g_atomic_int_dec_and_test (&_data15_->_ref_count_)) {
#line 1538 "OptionsPage.c"
		PrintersOptionsPage* self;
#line 207 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		self = _data15_->self;
#line 207 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_g_object_unref0 (_data15_->combobox);
#line 207 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_g_object_unref0 (self);
#line 207 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_slice_free (Block15Data, _data15_);
#line 1548 "OptionsPage.c"
	}
}


static void ___lambda35_ (Block15Data* _data15_) {
	PrintersOptionsPage* self;
	PrintersPrinter* _tmp0_ = NULL;
	GtkComboBoxText* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
#line 236 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	self = _data15_->self;
#line 237 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp0_ = self->priv->printer;
#line 237 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp1_ = _data15_->combobox;
#line 237 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp2_ = gtk_combo_box_get_active_id ((GtkComboBox*) _tmp1_);
#line 237 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	printers_printer_set_default_print_color_mode (_tmp0_, _tmp2_);
#line 1568 "OptionsPage.c"
}


static void ____lambda35__gtk_combo_box_changed (GtkComboBox* _sender, gpointer self) {
#line 236 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	___lambda35_ (self);
#line 1575 "OptionsPage.c"
}


static void printers_options_page_build_print_color_mode (PrintersOptionsPage* self) {
	GeeTreeSet* print_color_modes = NULL;
	GeeTreeSet* _tmp0_ = NULL;
	gchar* default_color_mode = NULL;
	PrintersPrinter* _tmp1_ = NULL;
	GeeTreeSet* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	GeeTreeSet* _tmp4_ = NULL;
	gint _tmp5_ = 0;
	gint _tmp6_ = 0;
#line 204 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	g_return_if_fail (self != NULL);
#line 205 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp0_ = gee_tree_set_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, g_free, NULL, NULL, NULL);
#line 205 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	print_color_modes = _tmp0_;
#line 206 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp1_ = self->priv->printer;
#line 206 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp2_ = print_color_modes;
#line 206 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp3_ = printers_printer_get_print_color_modes (_tmp1_, _tmp2_);
#line 206 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	default_color_mode = _tmp3_;
#line 207 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp4_ = print_color_modes;
#line 207 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp5_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp4_);
#line 207 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp6_ = _tmp5_;
#line 207 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	if (_tmp6_ > 1) {
#line 1611 "OptionsPage.c"
		Block15Data* _data15_;
		GtkComboBoxText* _tmp7_ = NULL;
		GtkComboBoxText* _tmp39_ = NULL;
		const gchar* _tmp40_ = NULL;
		GtkComboBoxText* _tmp41_ = NULL;
		GtkLabel* label = NULL;
		const gchar* _tmp42_ = NULL;
		GtkLabel* _tmp43_ = NULL;
		GtkLabel* _tmp44_ = NULL;
		GtkLabel* _tmp45_ = NULL;
		gint _tmp46_ = 0;
		GtkComboBoxText* _tmp47_ = NULL;
		gint _tmp48_ = 0;
		gint _tmp49_ = 0;
#line 207 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_data15_ = g_slice_new0 (Block15Data);
#line 207 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_data15_->_ref_count_ = 1;
#line 207 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_data15_->self = g_object_ref (self);
#line 208 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp7_ = (GtkComboBoxText*) gtk_combo_box_text_new ();
#line 208 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_object_ref_sink (_tmp7_);
#line 208 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_data15_->combobox = _tmp7_;
#line 1638 "OptionsPage.c"
		{
			GeeIterator* _print_color_mode_it = NULL;
			GeeTreeSet* _tmp8_ = NULL;
			GeeIterator* _tmp9_ = NULL;
#line 209 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp8_ = print_color_modes;
#line 209 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp9_ = gee_abstract_collection_iterator ((GeeAbstractCollection*) _tmp8_);
#line 209 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_print_color_mode_it = _tmp9_;
#line 209 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			while (TRUE) {
#line 1651 "OptionsPage.c"
				GeeIterator* _tmp10_ = NULL;
				gboolean _tmp11_ = FALSE;
				gchar* print_color_mode = NULL;
				GeeIterator* _tmp12_ = NULL;
				gpointer _tmp13_ = NULL;
				const gchar* _tmp14_ = NULL;
				const gchar* _tmp15_ = NULL;
				GQuark _tmp17_ = 0U;
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label0 = 0;
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label1 = 0;
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label2 = 0;
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label3 = 0;
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label4 = 0;
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label5 = 0;
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label6 = 0;
#line 209 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp10_ = _print_color_mode_it;
#line 209 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp11_ = gee_iterator_next (_tmp10_);
#line 209 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				if (!_tmp11_) {
#line 209 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					break;
#line 1682 "OptionsPage.c"
				}
#line 209 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp12_ = _print_color_mode_it;
#line 209 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp13_ = gee_iterator_get (_tmp12_);
#line 209 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				print_color_mode = (gchar*) _tmp13_;
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp14_ = print_color_mode;
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp15_ = _tmp14_;
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp17_ = (NULL == _tmp15_) ? 0 : g_quark_from_string (_tmp15_);
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				if (_tmp17_ == ((0 != _tmp16_label0) ? _tmp16_label0 : (_tmp16_label0 = g_quark_from_static_string ("auto")))) {
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 1700 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp18_ = NULL;
							const gchar* _tmp19_ = NULL;
							const gchar* _tmp20_ = NULL;
#line 212 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp18_ = _data15_->combobox;
#line 212 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp19_ = print_color_mode;
#line 212 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp20_ = _ ("Automatic");
#line 212 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp18_, _tmp19_, _tmp20_);
#line 213 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 1716 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label1) ? _tmp16_label1 : (_tmp16_label1 = g_quark_from_static_string ("bi-level")))) {
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 1722 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp21_ = NULL;
							const gchar* _tmp22_ = NULL;
							const gchar* _tmp23_ = NULL;
#line 215 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp21_ = _data15_->combobox;
#line 215 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp22_ = print_color_mode;
#line 215 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp23_ = _ ("One Color");
#line 215 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp21_, _tmp22_, _tmp23_);
#line 216 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 1738 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label2) ? _tmp16_label2 : (_tmp16_label2 = g_quark_from_static_string ("color")))) {
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 1744 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp24_ = NULL;
							const gchar* _tmp25_ = NULL;
							const gchar* _tmp26_ = NULL;
#line 218 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp24_ = _data15_->combobox;
#line 218 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp25_ = print_color_mode;
#line 218 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp26_ = _ ("Color");
#line 218 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp24_, _tmp25_, _tmp26_);
#line 219 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 1760 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label3) ? _tmp16_label3 : (_tmp16_label3 = g_quark_from_static_string ("highlight")))) {
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 1766 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp27_ = NULL;
							const gchar* _tmp28_ = NULL;
							const gchar* _tmp29_ = NULL;
#line 221 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp27_ = _data15_->combobox;
#line 221 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp28_ = print_color_mode;
#line 221 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp29_ = _ ("One Color + Black");
#line 221 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp27_, _tmp28_, _tmp29_);
#line 222 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 1782 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label4) ? _tmp16_label4 : (_tmp16_label4 = g_quark_from_static_string ("monochrome")))) {
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 1788 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp30_ = NULL;
							const gchar* _tmp31_ = NULL;
							const gchar* _tmp32_ = NULL;
#line 224 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp30_ = _data15_->combobox;
#line 224 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp31_ = print_color_mode;
#line 224 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp32_ = _ ("Greyscale");
#line 224 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp30_, _tmp31_, _tmp32_);
#line 225 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 1804 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label5) ? _tmp16_label5 : (_tmp16_label5 = g_quark_from_static_string ("process-bi-level")))) {
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 1810 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp33_ = NULL;
							const gchar* _tmp34_ = NULL;
							const gchar* _tmp35_ = NULL;
#line 227 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp33_ = _data15_->combobox;
#line 227 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp34_ = print_color_mode;
#line 227 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp35_ = _ ("Processed Color");
#line 227 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp33_, _tmp34_, _tmp35_);
#line 228 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 1826 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label6) ? _tmp16_label6 : (_tmp16_label6 = g_quark_from_static_string ("process-monochrome")))) {
#line 210 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 1832 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp36_ = NULL;
							const gchar* _tmp37_ = NULL;
							const gchar* _tmp38_ = NULL;
#line 230 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp36_ = _data15_->combobox;
#line 230 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp37_ = print_color_mode;
#line 230 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp38_ = _ ("Processed Greyscale");
#line 230 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp36_, _tmp37_, _tmp38_);
#line 231 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 1848 "OptionsPage.c"
						}
					}
				}
#line 209 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_g_free0 (print_color_mode);
#line 1854 "OptionsPage.c"
			}
#line 209 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_g_object_unref0 (_print_color_mode_it);
#line 1858 "OptionsPage.c"
		}
#line 235 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp39_ = _data15_->combobox;
#line 235 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp40_ = default_color_mode;
#line 235 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_combo_box_set_active_id ((GtkComboBox*) _tmp39_, _tmp40_);
#line 236 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp41_ = _data15_->combobox;
#line 236 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_signal_connect_data ((GtkComboBox*) _tmp41_, "changed", (GCallback) ____lambda35__gtk_combo_box_changed, block15_data_ref (_data15_), (GClosureNotify) block15_data_unref, 0);
#line 239 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp42_ = _ ("Color mode:");
#line 239 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp43_ = (GtkLabel*) gtk_label_new (_tmp42_);
#line 239 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_object_ref_sink (_tmp43_);
#line 239 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		label = _tmp43_;
#line 240 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp44_ = label;
#line 240 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_object_set (G_TYPE_CHECK_INSTANCE_CAST (_tmp44_, gtk_misc_get_type (), GtkMisc), "xalign", (gfloat) 1, NULL);
#line 241 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp45_ = label;
#line 241 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp46_ = self->priv->row_index;
#line 241 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp45_, 1, _tmp46_, 1, 1);
#line 242 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp47_ = _data15_->combobox;
#line 242 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp48_ = self->priv->row_index;
#line 242 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp47_, 2, _tmp48_, 1, 1);
#line 243 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp49_ = self->priv->row_index;
#line 243 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		self->priv->row_index = _tmp49_ + 1;
#line 207 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_g_object_unref0 (label);
#line 207 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		block15_data_unref (_data15_);
#line 207 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_data15_ = NULL;
#line 1904 "OptionsPage.c"
	}
#line 204 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_g_free0 (default_color_mode);
#line 204 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_g_object_unref0 (print_color_modes);
#line 1910 "OptionsPage.c"
}


static Block16Data* block16_data_ref (Block16Data* _data16_) {
#line 250 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	g_atomic_int_inc (&_data16_->_ref_count_);
#line 250 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	return _data16_;
#line 1919 "OptionsPage.c"
}


static void block16_data_unref (void * _userdata_) {
	Block16Data* _data16_;
	_data16_ = (Block16Data*) _userdata_;
#line 250 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	if (g_atomic_int_dec_and_test (&_data16_->_ref_count_)) {
#line 1928 "OptionsPage.c"
		PrintersOptionsPage* self;
#line 250 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		self = _data16_->self;
#line 250 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_g_object_unref0 (_data16_->combobox);
#line 250 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_g_object_unref0 (self);
#line 250 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_slice_free (Block16Data, _data16_);
#line 1938 "OptionsPage.c"
	}
}


static gboolean string_contains (const gchar* self, const gchar* needle) {
	gboolean result = FALSE;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 1376 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, FALSE);
#line 1376 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (needle != NULL, FALSE);
#line 1377 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp0_ = needle;
#line 1377 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp1_ = strstr ((gchar*) self, (gchar*) _tmp0_);
#line 1377 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	result = _tmp1_ != NULL;
#line 1377 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	return result;
#line 1959 "OptionsPage.c"
}


static gchar* string_replace (const gchar* self, const gchar* old, const gchar* replacement) {
	gchar* result = NULL;
	GError * _inner_error_ = NULL;
#line 1380 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1380 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (old != NULL, NULL);
#line 1380 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (replacement != NULL, NULL);
#line 1972 "OptionsPage.c"
	{
		GRegex* regex = NULL;
		const gchar* _tmp0_ = NULL;
		gchar* _tmp1_ = NULL;
		gchar* _tmp2_ = NULL;
		GRegex* _tmp3_ = NULL;
		GRegex* _tmp4_ = NULL;
		gchar* _tmp5_ = NULL;
		GRegex* _tmp6_ = NULL;
		const gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
		gchar* _tmp9_ = NULL;
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp0_ = old;
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp1_ = g_regex_escape_string (_tmp0_, -1);
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp2_ = _tmp1_;
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp3_ = g_regex_new (_tmp2_, 0, 0, &_inner_error_);
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp4_ = _tmp3_;
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_g_free0 (_tmp2_);
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		regex = _tmp4_;
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 2003 "OptionsPage.c"
				goto __catch4_g_regex_error;
			}
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1382 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			return NULL;
#line 2012 "OptionsPage.c"
		}
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp6_ = regex;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp7_ = replacement;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp8_ = g_regex_replace_literal (_tmp6_, self, (gssize) -1, 0, _tmp7_, 0, &_inner_error_);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp5_ = _tmp8_;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 2028 "OptionsPage.c"
				goto __catch4_g_regex_error;
			}
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			return NULL;
#line 2039 "OptionsPage.c"
		}
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp9_ = _tmp5_;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp5_ = NULL;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		result = _tmp9_;
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_g_free0 (_tmp5_);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_g_regex_unref0 (regex);
#line 1383 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		return result;
#line 2053 "OptionsPage.c"
	}
	goto __finally4;
	__catch4_g_regex_error:
	{
		GError* e = NULL;
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		e = _inner_error_;
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_inner_error_ = NULL;
#line 1385 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		g_assert_not_reached ();
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_g_error_free0 (e);
#line 2067 "OptionsPage.c"
	}
	__finally4:
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		g_clear_error (&_inner_error_);
#line 1381 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		return NULL;
#line 2078 "OptionsPage.c"
	}
}


static void ___lambda34_ (Block16Data* _data16_) {
	PrintersOptionsPage* self;
	PrintersPrinter* _tmp0_ = NULL;
	GtkComboBoxText* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
#line 309 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	self = _data16_->self;
#line 310 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp0_ = self->priv->printer;
#line 310 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp1_ = _data16_->combobox;
#line 310 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp2_ = gtk_combo_box_get_active_id ((GtkComboBox*) _tmp1_);
#line 310 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	printers_printer_set_default_output_bin (_tmp0_, _tmp2_);
#line 2098 "OptionsPage.c"
}


static void ____lambda34__gtk_combo_box_changed (GtkComboBox* _sender, gpointer self) {
#line 309 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	___lambda34_ (self);
#line 2105 "OptionsPage.c"
}


static void printers_options_page_build_output_bins (PrintersOptionsPage* self) {
	GeeTreeSet* output_bins = NULL;
	GeeTreeSet* _tmp0_ = NULL;
	gchar* default_output_bin = NULL;
	PrintersPrinter* _tmp1_ = NULL;
	GeeTreeSet* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	GeeTreeSet* _tmp4_ = NULL;
	gint _tmp5_ = 0;
	gint _tmp6_ = 0;
#line 247 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	g_return_if_fail (self != NULL);
#line 248 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp0_ = gee_tree_set_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, g_free, NULL, NULL, NULL);
#line 248 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	output_bins = _tmp0_;
#line 249 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp1_ = self->priv->printer;
#line 249 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp2_ = output_bins;
#line 249 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp3_ = printers_printer_get_output_bins (_tmp1_, _tmp2_);
#line 249 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	default_output_bin = _tmp3_;
#line 250 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp4_ = output_bins;
#line 250 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp5_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp4_);
#line 250 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp6_ = _tmp5_;
#line 250 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	if (_tmp6_ > 1) {
#line 2141 "OptionsPage.c"
		Block16Data* _data16_;
		GtkComboBoxText* _tmp7_ = NULL;
		GtkComboBoxText* _tmp96_ = NULL;
		const gchar* _tmp97_ = NULL;
		GtkComboBoxText* _tmp98_ = NULL;
		GtkLabel* label = NULL;
		const gchar* _tmp99_ = NULL;
		GtkLabel* _tmp100_ = NULL;
		GtkLabel* _tmp101_ = NULL;
		GtkLabel* _tmp102_ = NULL;
		gint _tmp103_ = 0;
		GtkComboBoxText* _tmp104_ = NULL;
		gint _tmp105_ = 0;
		gint _tmp106_ = 0;
#line 250 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_data16_ = g_slice_new0 (Block16Data);
#line 250 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_data16_->_ref_count_ = 1;
#line 250 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_data16_->self = g_object_ref (self);
#line 251 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp7_ = (GtkComboBoxText*) gtk_combo_box_text_new ();
#line 251 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_object_ref_sink (_tmp7_);
#line 251 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_data16_->combobox = _tmp7_;
#line 2168 "OptionsPage.c"
		{
			GeeIterator* _output_bin_it = NULL;
			GeeTreeSet* _tmp8_ = NULL;
			GeeIterator* _tmp9_ = NULL;
#line 252 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp8_ = output_bins;
#line 252 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp9_ = gee_abstract_collection_iterator ((GeeAbstractCollection*) _tmp8_);
#line 252 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_output_bin_it = _tmp9_;
#line 252 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			while (TRUE) {
#line 2181 "OptionsPage.c"
				GeeIterator* _tmp10_ = NULL;
				gboolean _tmp11_ = FALSE;
				gchar* output_bin = NULL;
				GeeIterator* _tmp12_ = NULL;
				gpointer _tmp13_ = NULL;
				const gchar* _tmp14_ = NULL;
				const gchar* _tmp15_ = NULL;
				GQuark _tmp17_ = 0U;
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label0 = 0;
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label1 = 0;
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label2 = 0;
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label3 = 0;
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label4 = 0;
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label5 = 0;
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label6 = 0;
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label7 = 0;
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label8 = 0;
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label9 = 0;
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label10 = 0;
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label11 = 0;
#line 252 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp10_ = _output_bin_it;
#line 252 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp11_ = gee_iterator_next (_tmp10_);
#line 252 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				if (!_tmp11_) {
#line 252 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					break;
#line 2222 "OptionsPage.c"
				}
#line 252 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp12_ = _output_bin_it;
#line 252 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp13_ = gee_iterator_get (_tmp12_);
#line 252 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				output_bin = (gchar*) _tmp13_;
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp14_ = output_bin;
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp15_ = _tmp14_;
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp17_ = (NULL == _tmp15_) ? 0 : g_quark_from_string (_tmp15_);
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				if (_tmp17_ == ((0 != _tmp16_label0) ? _tmp16_label0 : (_tmp16_label0 = g_quark_from_static_string ("top")))) {
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 2240 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp18_ = NULL;
							const gchar* _tmp19_ = NULL;
							const gchar* _tmp20_ = NULL;
#line 255 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp18_ = _data16_->combobox;
#line 255 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp19_ = output_bin;
#line 255 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp20_ = g_dgettext ("gtk30", "Top Bin");
#line 255 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp18_, _tmp19_, _tmp20_);
#line 256 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 2256 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label1) ? _tmp16_label1 : (_tmp16_label1 = g_quark_from_static_string ("middle")))) {
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 2262 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp21_ = NULL;
							const gchar* _tmp22_ = NULL;
							const gchar* _tmp23_ = NULL;
#line 258 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp21_ = _data16_->combobox;
#line 258 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp22_ = output_bin;
#line 258 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp23_ = g_dgettext ("gtk30", "Middle Bin");
#line 258 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp21_, _tmp22_, _tmp23_);
#line 259 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 2278 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label2) ? _tmp16_label2 : (_tmp16_label2 = g_quark_from_static_string ("bottom")))) {
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 2284 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp24_ = NULL;
							const gchar* _tmp25_ = NULL;
							const gchar* _tmp26_ = NULL;
#line 261 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp24_ = _data16_->combobox;
#line 261 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp25_ = output_bin;
#line 261 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp26_ = g_dgettext ("gtk30", "Bottom Bin");
#line 261 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp24_, _tmp25_, _tmp26_);
#line 262 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 2300 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label3) ? _tmp16_label3 : (_tmp16_label3 = g_quark_from_static_string ("side")))) {
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 2306 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp27_ = NULL;
							const gchar* _tmp28_ = NULL;
							const gchar* _tmp29_ = NULL;
#line 264 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp27_ = _data16_->combobox;
#line 264 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp28_ = output_bin;
#line 264 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp29_ = g_dgettext ("gtk30", "Side Bin");
#line 264 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp27_, _tmp28_, _tmp29_);
#line 265 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 2322 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label4) ? _tmp16_label4 : (_tmp16_label4 = g_quark_from_static_string ("left")))) {
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 2328 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp30_ = NULL;
							const gchar* _tmp31_ = NULL;
							const gchar* _tmp32_ = NULL;
#line 267 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp30_ = _data16_->combobox;
#line 267 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp31_ = output_bin;
#line 267 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp32_ = g_dgettext ("gtk30", "Left Bin");
#line 267 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp30_, _tmp31_, _tmp32_);
#line 268 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 2344 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label5) ? _tmp16_label5 : (_tmp16_label5 = g_quark_from_static_string ("right")))) {
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 2350 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp33_ = NULL;
							const gchar* _tmp34_ = NULL;
							const gchar* _tmp35_ = NULL;
#line 270 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp33_ = _data16_->combobox;
#line 270 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp34_ = output_bin;
#line 270 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp35_ = g_dgettext ("gtk30", "Right Bin");
#line 270 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp33_, _tmp34_, _tmp35_);
#line 271 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 2366 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label6) ? _tmp16_label6 : (_tmp16_label6 = g_quark_from_static_string ("center")))) {
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 2372 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp36_ = NULL;
							const gchar* _tmp37_ = NULL;
							const gchar* _tmp38_ = NULL;
#line 273 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp36_ = _data16_->combobox;
#line 273 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp37_ = output_bin;
#line 273 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp38_ = g_dgettext ("gtk30", "Center Bin");
#line 273 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp36_, _tmp37_, _tmp38_);
#line 274 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 2388 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label7) ? _tmp16_label7 : (_tmp16_label7 = g_quark_from_static_string ("rear")))) {
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 2394 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp39_ = NULL;
							const gchar* _tmp40_ = NULL;
							const gchar* _tmp41_ = NULL;
#line 276 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp39_ = _data16_->combobox;
#line 276 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp40_ = output_bin;
#line 276 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp41_ = g_dgettext ("gtk30", "Rear Bin");
#line 276 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp39_, _tmp40_, _tmp41_);
#line 277 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 2410 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label8) ? _tmp16_label8 : (_tmp16_label8 = g_quark_from_static_string ("face-up")))) {
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 2416 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp42_ = NULL;
							const gchar* _tmp43_ = NULL;
							const gchar* _tmp44_ = NULL;
#line 279 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp42_ = _data16_->combobox;
#line 279 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp43_ = output_bin;
#line 279 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp44_ = g_dgettext ("gtk30", "Face Up Bin");
#line 279 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp42_, _tmp43_, _tmp44_);
#line 280 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 2432 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label9) ? _tmp16_label9 : (_tmp16_label9 = g_quark_from_static_string ("face-down")))) {
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 2438 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp45_ = NULL;
							const gchar* _tmp46_ = NULL;
							const gchar* _tmp47_ = NULL;
#line 282 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp45_ = _data16_->combobox;
#line 282 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp46_ = output_bin;
#line 282 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp47_ = g_dgettext ("gtk30", "Face Down Bin");
#line 282 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp45_, _tmp46_, _tmp47_);
#line 283 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 2454 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label10) ? _tmp16_label10 : (_tmp16_label10 = g_quark_from_static_string ("large-capacity")))) {
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 2460 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp48_ = NULL;
							const gchar* _tmp49_ = NULL;
							const gchar* _tmp50_ = NULL;
#line 285 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp48_ = _data16_->combobox;
#line 285 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp49_ = output_bin;
#line 285 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp50_ = g_dgettext ("gtk30", "Large Capacity Bin");
#line 285 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp48_, _tmp49_, _tmp50_);
#line 286 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 2476 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label11) ? _tmp16_label11 : (_tmp16_label11 = g_quark_from_static_string ("my-mailbox")))) {
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 2482 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp51_ = NULL;
							const gchar* _tmp52_ = NULL;
							const gchar* _tmp53_ = NULL;
#line 288 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp51_ = _data16_->combobox;
#line 288 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp52_ = output_bin;
#line 288 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp53_ = g_dgettext ("gtk30", "My Mailbox");
#line 288 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp51_, _tmp52_, _tmp53_);
#line 289 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 2498 "OptionsPage.c"
						}
					}
				} else {
#line 253 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 2504 "OptionsPage.c"
						default:
						{
							const gchar* _tmp54_ = NULL;
							gboolean _tmp55_ = FALSE;
#line 291 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp54_ = output_bin;
#line 291 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp55_ = string_contains (_tmp54_, "stacker-");
#line 291 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							if (_tmp55_) {
#line 2515 "OptionsPage.c"
								gint number = 0;
								const gchar* _tmp56_ = NULL;
								gchar* _tmp57_ = NULL;
								gchar* _tmp58_ = NULL;
								gint _tmp59_ = 0;
								gint _tmp60_ = 0;
								GtkComboBoxText* _tmp61_ = NULL;
								const gchar* _tmp62_ = NULL;
								const gchar* _tmp63_ = NULL;
								gint _tmp64_ = 0;
								gchar* _tmp65_ = NULL;
								gchar* _tmp66_ = NULL;
#line 292 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_tmp56_ = output_bin;
#line 292 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_tmp57_ = string_replace (_tmp56_, "stacker-", "");
#line 292 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_tmp58_ = _tmp57_;
#line 292 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_tmp59_ = atoi (_tmp58_);
#line 292 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_tmp60_ = _tmp59_;
#line 292 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_g_free0 (_tmp58_);
#line 292 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								number = _tmp60_;
#line 293 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_tmp61_ = _data16_->combobox;
#line 293 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_tmp62_ = output_bin;
#line 293 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_tmp63_ = g_dgettext ("gtk30", "Stacker %d");
#line 293 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_tmp64_ = number;
#line 293 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_tmp65_ = g_strdup_printf (_tmp63_, _tmp64_);
#line 293 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_tmp66_ = _tmp65_;
#line 293 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								gtk_combo_box_text_append (_tmp61_, _tmp62_, _tmp66_);
#line 293 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_g_free0 (_tmp66_);
#line 2558 "OptionsPage.c"
							} else {
								const gchar* _tmp67_ = NULL;
								gboolean _tmp68_ = FALSE;
#line 294 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_tmp67_ = output_bin;
#line 294 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_tmp68_ = string_contains (_tmp67_, "mailbox-");
#line 294 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								if (_tmp68_) {
#line 2568 "OptionsPage.c"
									gint number = 0;
									const gchar* _tmp69_ = NULL;
									gchar* _tmp70_ = NULL;
									gchar* _tmp71_ = NULL;
									gint _tmp72_ = 0;
									gint _tmp73_ = 0;
									GtkComboBoxText* _tmp74_ = NULL;
									const gchar* _tmp75_ = NULL;
									const gchar* _tmp76_ = NULL;
									gint _tmp77_ = 0;
									gchar* _tmp78_ = NULL;
									gchar* _tmp79_ = NULL;
#line 295 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_tmp69_ = output_bin;
#line 295 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_tmp70_ = string_replace (_tmp69_, "mailbox-", "");
#line 295 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_tmp71_ = _tmp70_;
#line 295 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_tmp72_ = atoi (_tmp71_);
#line 295 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_tmp73_ = _tmp72_;
#line 295 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_g_free0 (_tmp71_);
#line 295 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									number = _tmp73_;
#line 296 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_tmp74_ = _data16_->combobox;
#line 296 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_tmp75_ = output_bin;
#line 296 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_tmp76_ = g_dgettext ("gtk30", "Mailbox %d");
#line 296 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_tmp77_ = number;
#line 296 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_tmp78_ = g_strdup_printf (_tmp76_, _tmp77_);
#line 296 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_tmp79_ = _tmp78_;
#line 296 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									gtk_combo_box_text_append (_tmp74_, _tmp75_, _tmp79_);
#line 296 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_g_free0 (_tmp79_);
#line 2611 "OptionsPage.c"
								} else {
									const gchar* _tmp80_ = NULL;
									gboolean _tmp81_ = FALSE;
#line 297 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_tmp80_ = output_bin;
#line 297 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_tmp81_ = string_contains (_tmp80_, "tray-");
#line 297 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									if (_tmp81_) {
#line 2621 "OptionsPage.c"
										gint number = 0;
										const gchar* _tmp82_ = NULL;
										gchar* _tmp83_ = NULL;
										gchar* _tmp84_ = NULL;
										gint _tmp85_ = 0;
										gint _tmp86_ = 0;
										GtkComboBoxText* _tmp87_ = NULL;
										const gchar* _tmp88_ = NULL;
										const gchar* _tmp89_ = NULL;
										gint _tmp90_ = 0;
										gchar* _tmp91_ = NULL;
										gchar* _tmp92_ = NULL;
#line 298 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
										_tmp82_ = output_bin;
#line 298 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
										_tmp83_ = string_replace (_tmp82_, "tray-", "");
#line 298 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
										_tmp84_ = _tmp83_;
#line 298 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
										_tmp85_ = atoi (_tmp84_);
#line 298 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
										_tmp86_ = _tmp85_;
#line 298 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
										_g_free0 (_tmp84_);
#line 298 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
										number = _tmp86_;
#line 299 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
										_tmp87_ = _data16_->combobox;
#line 299 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
										_tmp88_ = output_bin;
#line 299 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
										_tmp89_ = g_dgettext ("gtk30", "Tray %d");
#line 299 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
										_tmp90_ = number;
#line 299 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
										_tmp91_ = g_strdup_printf (_tmp89_, _tmp90_);
#line 299 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
										_tmp92_ = _tmp91_;
#line 299 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
										gtk_combo_box_text_append (_tmp87_, _tmp88_, _tmp92_);
#line 299 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
										_g_free0 (_tmp92_);
#line 2664 "OptionsPage.c"
									} else {
										GtkComboBoxText* _tmp93_ = NULL;
										const gchar* _tmp94_ = NULL;
										const gchar* _tmp95_ = NULL;
#line 301 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
										_tmp93_ = _data16_->combobox;
#line 301 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
										_tmp94_ = output_bin;
#line 301 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
										_tmp95_ = output_bin;
#line 301 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
										gtk_combo_box_text_append (_tmp93_, _tmp94_, _tmp95_);
#line 2677 "OptionsPage.c"
									}
								}
							}
#line 304 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 2683 "OptionsPage.c"
						}
					}
				}
#line 252 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_g_free0 (output_bin);
#line 2689 "OptionsPage.c"
			}
#line 252 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_g_object_unref0 (_output_bin_it);
#line 2693 "OptionsPage.c"
		}
#line 308 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp96_ = _data16_->combobox;
#line 308 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp97_ = default_output_bin;
#line 308 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_combo_box_set_active_id ((GtkComboBox*) _tmp96_, _tmp97_);
#line 309 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp98_ = _data16_->combobox;
#line 309 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_signal_connect_data ((GtkComboBox*) _tmp98_, "changed", (GCallback) ____lambda34__gtk_combo_box_changed, block16_data_ref (_data16_), (GClosureNotify) block16_data_unref, 0);
#line 312 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp99_ = _ ("Output Tray:");
#line 312 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp100_ = (GtkLabel*) gtk_label_new (_tmp99_);
#line 312 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_object_ref_sink (_tmp100_);
#line 312 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		label = _tmp100_;
#line 313 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp101_ = label;
#line 313 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_object_set (G_TYPE_CHECK_INSTANCE_CAST (_tmp101_, gtk_misc_get_type (), GtkMisc), "xalign", (gfloat) 1, NULL);
#line 314 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp102_ = label;
#line 314 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp103_ = self->priv->row_index;
#line 314 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp102_, 1, _tmp103_, 1, 1);
#line 315 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp104_ = _data16_->combobox;
#line 315 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp105_ = self->priv->row_index;
#line 315 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp104_, 2, _tmp105_, 1, 1);
#line 316 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp106_ = self->priv->row_index;
#line 316 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		self->priv->row_index = _tmp106_ + 1;
#line 250 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_g_object_unref0 (label);
#line 250 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		block16_data_unref (_data16_);
#line 250 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_data16_ = NULL;
#line 2739 "OptionsPage.c"
	}
#line 247 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_g_free0 (default_output_bin);
#line 247 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_g_object_unref0 (output_bins);
#line 2745 "OptionsPage.c"
}


static void printers_options_page_build_print_quality (PrintersOptionsPage* self) {
	GeeTreeSet* print_qualities = NULL;
	GeeTreeSet* _tmp0_ = NULL;
	gint default_print_quality = 0;
	PrintersPrinter* _tmp1_ = NULL;
	GeeTreeSet* _tmp2_ = NULL;
	gint _tmp3_ = 0;
	GeeTreeSet* _tmp4_ = NULL;
	gint _tmp5_ = 0;
	gint _tmp6_ = 0;
#line 320 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	g_return_if_fail (self != NULL);
#line 321 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp0_ = gee_tree_set_new (G_TYPE_INT, NULL, NULL, NULL, NULL, NULL);
#line 321 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	print_qualities = _tmp0_;
#line 322 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp1_ = self->priv->printer;
#line 322 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp2_ = print_qualities;
#line 322 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp3_ = printers_printer_get_print_qualities (_tmp1_, _tmp2_);
#line 322 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	default_print_quality = _tmp3_;
#line 323 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp4_ = print_qualities;
#line 323 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp5_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp4_);
#line 323 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp6_ = _tmp5_;
#line 323 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	if (_tmp6_ > 1) {
#line 2781 "OptionsPage.c"
		GtkComboBoxText* combobox = NULL;
		GtkComboBoxText* _tmp7_ = NULL;
		GtkComboBoxText* _tmp30_ = NULL;
		gint _tmp31_ = 0;
		gchar* _tmp32_ = NULL;
		gchar* _tmp33_ = NULL;
		GtkLabel* label = NULL;
		const gchar* _tmp34_ = NULL;
		GtkLabel* _tmp35_ = NULL;
		GtkLabel* _tmp36_ = NULL;
		GtkLabel* _tmp37_ = NULL;
		gint _tmp38_ = 0;
		GtkComboBoxText* _tmp39_ = NULL;
		gint _tmp40_ = 0;
		gint _tmp41_ = 0;
#line 324 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp7_ = (GtkComboBoxText*) gtk_combo_box_text_new ();
#line 324 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_object_ref_sink (_tmp7_);
#line 324 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		combobox = _tmp7_;
#line 2803 "OptionsPage.c"
		{
			GeeIterator* _print_quality_it = NULL;
			GeeTreeSet* _tmp8_ = NULL;
			GeeIterator* _tmp9_ = NULL;
#line 325 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp8_ = print_qualities;
#line 325 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp9_ = gee_abstract_collection_iterator ((GeeAbstractCollection*) _tmp8_);
#line 325 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_print_quality_it = _tmp9_;
#line 325 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			while (TRUE) {
#line 2816 "OptionsPage.c"
				GeeIterator* _tmp10_ = NULL;
				gboolean _tmp11_ = FALSE;
				gint print_quality = 0;
				GeeIterator* _tmp12_ = NULL;
				gpointer _tmp13_ = NULL;
				gint _tmp14_ = 0;
#line 325 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp10_ = _print_quality_it;
#line 325 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp11_ = gee_iterator_next (_tmp10_);
#line 325 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				if (!_tmp11_) {
#line 325 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					break;
#line 2831 "OptionsPage.c"
				}
#line 325 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp12_ = _print_quality_it;
#line 325 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp13_ = gee_iterator_get (_tmp12_);
#line 325 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				print_quality = (gint) ((gintptr) _tmp13_);
#line 326 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp14_ = print_quality;
#line 326 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				switch (_tmp14_) {
#line 326 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					case 3:
#line 2845 "OptionsPage.c"
					{
						GtkComboBoxText* _tmp15_ = NULL;
						gint _tmp16_ = 0;
						gchar* _tmp17_ = NULL;
						gchar* _tmp18_ = NULL;
						const gchar* _tmp19_ = NULL;
#line 328 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp15_ = combobox;
#line 328 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp16_ = print_quality;
#line 328 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp17_ = g_strdup_printf ("%d", _tmp16_);
#line 328 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp18_ = _tmp17_;
#line 328 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp19_ = _ ("Draft");
#line 328 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						gtk_combo_box_text_append (_tmp15_, _tmp18_, _tmp19_);
#line 328 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_g_free0 (_tmp18_);
#line 329 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						break;
#line 2868 "OptionsPage.c"
					}
#line 326 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					case 4:
#line 2872 "OptionsPage.c"
					{
						GtkComboBoxText* _tmp20_ = NULL;
						gint _tmp21_ = 0;
						gchar* _tmp22_ = NULL;
						gchar* _tmp23_ = NULL;
						const gchar* _tmp24_ = NULL;
#line 331 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp20_ = combobox;
#line 331 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp21_ = print_quality;
#line 331 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp22_ = g_strdup_printf ("%d", _tmp21_);
#line 331 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp23_ = _tmp22_;
#line 331 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp24_ = _ ("Normal");
#line 331 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						gtk_combo_box_text_append (_tmp20_, _tmp23_, _tmp24_);
#line 331 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_g_free0 (_tmp23_);
#line 332 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						break;
#line 2895 "OptionsPage.c"
					}
#line 326 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					case 5:
#line 2899 "OptionsPage.c"
					{
						GtkComboBoxText* _tmp25_ = NULL;
						gint _tmp26_ = 0;
						gchar* _tmp27_ = NULL;
						gchar* _tmp28_ = NULL;
						const gchar* _tmp29_ = NULL;
#line 334 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp25_ = combobox;
#line 334 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp26_ = print_quality;
#line 334 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp27_ = g_strdup_printf ("%d", _tmp26_);
#line 334 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp28_ = _tmp27_;
#line 334 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_tmp29_ = _ ("High");
#line 334 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						gtk_combo_box_text_append (_tmp25_, _tmp28_, _tmp29_);
#line 334 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						_g_free0 (_tmp28_);
#line 335 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
						break;
#line 2922 "OptionsPage.c"
					}
					default:
#line 326 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					break;
#line 2927 "OptionsPage.c"
				}
			}
#line 325 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_g_object_unref0 (_print_quality_it);
#line 2932 "OptionsPage.c"
		}
#line 339 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp30_ = combobox;
#line 339 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp31_ = default_print_quality;
#line 339 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp32_ = g_strdup_printf ("%d", _tmp31_);
#line 339 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp33_ = _tmp32_;
#line 339 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_combo_box_set_active_id ((GtkComboBox*) _tmp30_, _tmp33_);
#line 339 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_g_free0 (_tmp33_);
#line 340 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp34_ = _ ("Quality:");
#line 340 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp35_ = (GtkLabel*) gtk_label_new (_tmp34_);
#line 340 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_object_ref_sink (_tmp35_);
#line 340 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		label = _tmp35_;
#line 341 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp36_ = label;
#line 341 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_object_set (G_TYPE_CHECK_INSTANCE_CAST (_tmp36_, gtk_misc_get_type (), GtkMisc), "xalign", (gfloat) 1, NULL);
#line 342 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp37_ = label;
#line 342 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp38_ = self->priv->row_index;
#line 342 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp37_, 1, _tmp38_, 1, 1);
#line 343 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp39_ = combobox;
#line 343 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp40_ = self->priv->row_index;
#line 343 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp39_, 2, _tmp40_, 1, 1);
#line 344 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp41_ = self->priv->row_index;
#line 344 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		self->priv->row_index = _tmp41_ + 1;
#line 323 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_g_object_unref0 (label);
#line 323 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_g_object_unref0 (combobox);
#line 2978 "OptionsPage.c"
	}
#line 320 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_g_object_unref0 (print_qualities);
#line 2982 "OptionsPage.c"
}


static Block17Data* block17_data_ref (Block17Data* _data17_) {
#line 351 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	g_atomic_int_inc (&_data17_->_ref_count_);
#line 351 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	return _data17_;
#line 2991 "OptionsPage.c"
}


static void block17_data_unref (void * _userdata_) {
	Block17Data* _data17_;
	_data17_ = (Block17Data*) _userdata_;
#line 351 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	if (g_atomic_int_dec_and_test (&_data17_->_ref_count_)) {
#line 3000 "OptionsPage.c"
		PrintersOptionsPage* self;
#line 351 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		self = _data17_->self;
#line 351 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_g_object_unref0 (_data17_->combobox);
#line 351 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_g_object_unref0 (self);
#line 351 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_slice_free (Block17Data, _data17_);
#line 3010 "OptionsPage.c"
	}
}


static void ___lambda36_ (Block17Data* _data17_) {
	PrintersOptionsPage* self;
	PrintersPrinter* _tmp0_ = NULL;
	GtkComboBoxText* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
#line 439 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	self = _data17_->self;
#line 440 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp0_ = self->priv->printer;
#line 440 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp1_ = _data17_->combobox;
#line 440 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp2_ = gtk_combo_box_get_active_id ((GtkComboBox*) _tmp1_);
#line 440 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	printers_printer_set_default_media_source (_tmp0_, _tmp2_);
#line 3030 "OptionsPage.c"
}


static void ____lambda36__gtk_combo_box_changed (GtkComboBox* _sender, gpointer self) {
#line 439 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	___lambda36_ (self);
#line 3037 "OptionsPage.c"
}


static void printers_options_page_build_media_source (PrintersOptionsPage* self) {
	GeeTreeSet* media_sources = NULL;
	GeeTreeSet* _tmp0_ = NULL;
	gchar* default_media_source = NULL;
	PrintersPrinter* _tmp1_ = NULL;
	GeeTreeSet* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	GeeTreeSet* _tmp4_ = NULL;
	gint _tmp5_ = 0;
	gint _tmp6_ = 0;
#line 348 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	g_return_if_fail (self != NULL);
#line 349 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp0_ = gee_tree_set_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, g_free, NULL, NULL, NULL);
#line 349 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	media_sources = _tmp0_;
#line 350 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp1_ = self->priv->printer;
#line 350 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp2_ = media_sources;
#line 350 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp3_ = printers_printer_get_media_sources (_tmp1_, _tmp2_);
#line 350 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	default_media_source = _tmp3_;
#line 351 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp4_ = media_sources;
#line 351 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp5_ = gee_abstract_collection_get_size ((GeeCollection*) _tmp4_);
#line 351 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_tmp6_ = _tmp5_;
#line 351 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	if (_tmp6_ > 1) {
#line 3073 "OptionsPage.c"
		Block17Data* _data17_;
		GtkComboBoxText* _tmp7_ = NULL;
		GtkComboBoxText* _tmp113_ = NULL;
		const gchar* _tmp114_ = NULL;
		GtkComboBoxText* _tmp115_ = NULL;
		GtkLabel* label = NULL;
		const gchar* _tmp116_ = NULL;
		GtkLabel* _tmp117_ = NULL;
		GtkLabel* _tmp118_ = NULL;
		GtkLabel* _tmp119_ = NULL;
		gint _tmp120_ = 0;
		GtkComboBoxText* _tmp121_ = NULL;
		gint _tmp122_ = 0;
		gint _tmp123_ = 0;
#line 351 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_data17_ = g_slice_new0 (Block17Data);
#line 351 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_data17_->_ref_count_ = 1;
#line 351 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_data17_->self = g_object_ref (self);
#line 352 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp7_ = (GtkComboBoxText*) gtk_combo_box_text_new ();
#line 352 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_object_ref_sink (_tmp7_);
#line 352 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_data17_->combobox = _tmp7_;
#line 3100 "OptionsPage.c"
		{
			GeeIterator* _media_source_it = NULL;
			GeeTreeSet* _tmp8_ = NULL;
			GeeIterator* _tmp9_ = NULL;
#line 353 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp8_ = media_sources;
#line 353 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_tmp9_ = gee_abstract_collection_iterator ((GeeAbstractCollection*) _tmp8_);
#line 353 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_media_source_it = _tmp9_;
#line 353 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			while (TRUE) {
#line 3113 "OptionsPage.c"
				GeeIterator* _tmp10_ = NULL;
				gboolean _tmp11_ = FALSE;
				gchar* media_source = NULL;
				GeeIterator* _tmp12_ = NULL;
				gpointer _tmp13_ = NULL;
				const gchar* _tmp14_ = NULL;
				const gchar* _tmp15_ = NULL;
				GQuark _tmp17_ = 0U;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label0 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label1 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label2 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label3 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label4 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label5 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label6 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label7 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label8 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label9 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label10 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label11 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label12 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label13 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label14 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label15 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label16 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label17 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label18 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label19 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label20 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label21 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label22 = 0;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				static GQuark _tmp16_label23 = 0;
#line 353 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp10_ = _media_source_it;
#line 353 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp11_ = gee_iterator_next (_tmp10_);
#line 353 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				if (!_tmp11_) {
#line 353 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					break;
#line 3178 "OptionsPage.c"
				}
#line 353 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp12_ = _media_source_it;
#line 353 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp13_ = gee_iterator_get (_tmp12_);
#line 353 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				media_source = (gchar*) _tmp13_;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp14_ = media_source;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp15_ = _tmp14_;
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_tmp17_ = (NULL == _tmp15_) ? 0 : g_quark_from_string (_tmp15_);
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				if (_tmp17_ == ((0 != _tmp16_label0) ? _tmp16_label0 : (_tmp16_label0 = g_quark_from_static_string ("alloc-paper")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 3196 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp18_ = NULL;
							const gchar* _tmp19_ = NULL;
							const gchar* _tmp20_ = NULL;
#line 356 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp18_ = _data17_->combobox;
#line 356 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp19_ = media_source;
#line 356 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp20_ = _ ("Paper Allocation");
#line 356 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp18_, _tmp19_, _tmp20_);
#line 357 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 3212 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label1) ? _tmp16_label1 : (_tmp16_label1 = g_quark_from_static_string ("alternate")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 3218 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp21_ = NULL;
							const gchar* _tmp22_ = NULL;
							const gchar* _tmp23_ = NULL;
#line 359 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp21_ = _data17_->combobox;
#line 359 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp22_ = media_source;
#line 359 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp23_ = _ ("Alternate Tray");
#line 359 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp21_, _tmp22_, _tmp23_);
#line 360 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 3234 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label2) ? _tmp16_label2 : (_tmp16_label2 = g_quark_from_static_string ("alternate-roll")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 3240 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp24_ = NULL;
							const gchar* _tmp25_ = NULL;
							const gchar* _tmp26_ = NULL;
#line 362 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp24_ = _data17_->combobox;
#line 362 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp25_ = media_source;
#line 362 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp26_ = _ ("Alternate Roll");
#line 362 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp24_, _tmp25_, _tmp26_);
#line 363 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 3256 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label3) ? _tmp16_label3 : (_tmp16_label3 = g_quark_from_static_string ("auto")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 3262 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp27_ = NULL;
							const gchar* _tmp28_ = NULL;
							const gchar* _tmp29_ = NULL;
#line 365 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp27_ = _data17_->combobox;
#line 365 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp28_ = media_source;
#line 365 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp29_ = _ ("Automatic");
#line 365 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp27_, _tmp28_, _tmp29_);
#line 366 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 3278 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label4) ? _tmp16_label4 : (_tmp16_label4 = g_quark_from_static_string ("bottom")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 3284 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp30_ = NULL;
							const gchar* _tmp31_ = NULL;
							const gchar* _tmp32_ = NULL;
#line 368 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp30_ = _data17_->combobox;
#line 368 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp31_ = media_source;
#line 368 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp32_ = _ ("Bottom");
#line 368 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp30_, _tmp31_, _tmp32_);
#line 369 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 3300 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label5) ? _tmp16_label5 : (_tmp16_label5 = g_quark_from_static_string ("by-pass-tray")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 3306 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp33_ = NULL;
							const gchar* _tmp34_ = NULL;
							const gchar* _tmp35_ = NULL;
#line 371 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp33_ = _data17_->combobox;
#line 371 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp34_ = media_source;
#line 371 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp35_ = _ ("By-pass Tray");
#line 371 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp33_, _tmp34_, _tmp35_);
#line 372 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 3322 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label6) ? _tmp16_label6 : (_tmp16_label6 = g_quark_from_static_string ("center")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 3328 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp36_ = NULL;
							const gchar* _tmp37_ = NULL;
							const gchar* _tmp38_ = NULL;
#line 374 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp36_ = _data17_->combobox;
#line 374 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp37_ = media_source;
#line 374 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp38_ = _ ("Center");
#line 374 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp36_, _tmp37_, _tmp38_);
#line 375 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 3344 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label7) ? _tmp16_label7 : (_tmp16_label7 = g_quark_from_static_string ("continuous")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 3350 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp39_ = NULL;
							const gchar* _tmp40_ = NULL;
							const gchar* _tmp41_ = NULL;
#line 377 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp39_ = _data17_->combobox;
#line 377 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp40_ = media_source;
#line 377 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp41_ = _ ("Continuous Autofeed");
#line 377 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp39_, _tmp40_, _tmp41_);
#line 378 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 3366 "OptionsPage.c"
						}
					}
				} else if ((_tmp17_ == ((0 != _tmp16_label8) ? _tmp16_label8 : (_tmp16_label8 = g_quark_from_static_string ("cd")))) || (_tmp17_ == ((0 != _tmp16_label9) ? _tmp16_label9 : (_tmp16_label9 = g_quark_from_static_string ("disk"))))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 3372 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp42_ = NULL;
							const gchar* _tmp43_ = NULL;
							const gchar* _tmp44_ = NULL;
#line 381 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp42_ = _data17_->combobox;
#line 381 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp43_ = media_source;
#line 381 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp44_ = _ ("Disk");
#line 381 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp42_, _tmp43_, _tmp44_);
#line 382 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 3388 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label10) ? _tmp16_label10 : (_tmp16_label10 = g_quark_from_static_string ("envelope")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 3394 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp45_ = NULL;
							const gchar* _tmp46_ = NULL;
							const gchar* _tmp47_ = NULL;
#line 384 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp45_ = _data17_->combobox;
#line 384 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp46_ = media_source;
#line 384 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp47_ = _ ("Envelope");
#line 384 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp45_, _tmp46_, _tmp47_);
#line 385 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 3410 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label11) ? _tmp16_label11 : (_tmp16_label11 = g_quark_from_static_string ("hagaki")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 3416 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp48_ = NULL;
							const gchar* _tmp49_ = NULL;
							const gchar* _tmp50_ = NULL;
#line 387 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp48_ = _data17_->combobox;
#line 387 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp49_ = media_source;
#line 387 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp50_ = _ ("Hagaki");
#line 387 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp48_, _tmp49_, _tmp50_);
#line 388 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 3432 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label12) ? _tmp16_label12 : (_tmp16_label12 = g_quark_from_static_string ("large-capacity")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 3438 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp51_ = NULL;
							const gchar* _tmp52_ = NULL;
							const gchar* _tmp53_ = NULL;
#line 390 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp51_ = _data17_->combobox;
#line 390 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp52_ = media_source;
#line 390 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp53_ = _ ("Large Capacity");
#line 390 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp51_, _tmp52_, _tmp53_);
#line 391 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 3454 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label13) ? _tmp16_label13 : (_tmp16_label13 = g_quark_from_static_string ("left")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 3460 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp54_ = NULL;
							const gchar* _tmp55_ = NULL;
							const gchar* _tmp56_ = NULL;
#line 393 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp54_ = _data17_->combobox;
#line 393 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp55_ = media_source;
#line 393 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp56_ = _ ("Left");
#line 393 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp54_, _tmp55_, _tmp56_);
#line 394 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 3476 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label14) ? _tmp16_label14 : (_tmp16_label14 = g_quark_from_static_string ("main")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 3482 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp57_ = NULL;
							const gchar* _tmp58_ = NULL;
							const gchar* _tmp59_ = NULL;
#line 396 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp57_ = _data17_->combobox;
#line 396 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp58_ = media_source;
#line 396 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp59_ = _ ("Main Tray");
#line 396 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp57_, _tmp58_, _tmp59_);
#line 397 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 3498 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label15) ? _tmp16_label15 : (_tmp16_label15 = g_quark_from_static_string ("main-roll")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 3504 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp60_ = NULL;
							const gchar* _tmp61_ = NULL;
							const gchar* _tmp62_ = NULL;
#line 399 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp60_ = _data17_->combobox;
#line 399 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp61_ = media_source;
#line 399 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp62_ = _ ("Main Roll");
#line 399 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp60_, _tmp61_, _tmp62_);
#line 400 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 3520 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label16) ? _tmp16_label16 : (_tmp16_label16 = g_quark_from_static_string ("manual")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 3526 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp63_ = NULL;
							const gchar* _tmp64_ = NULL;
							const gchar* _tmp65_ = NULL;
#line 402 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp63_ = _data17_->combobox;
#line 402 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp64_ = media_source;
#line 402 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp65_ = _ ("Manual");
#line 402 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp63_, _tmp64_, _tmp65_);
#line 403 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 3542 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label17) ? _tmp16_label17 : (_tmp16_label17 = g_quark_from_static_string ("middle")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 3548 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp66_ = NULL;
							const gchar* _tmp67_ = NULL;
							const gchar* _tmp68_ = NULL;
#line 405 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp66_ = _data17_->combobox;
#line 405 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp67_ = media_source;
#line 405 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp68_ = _ ("Middle");
#line 405 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp66_, _tmp67_, _tmp68_);
#line 406 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 3564 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label18) ? _tmp16_label18 : (_tmp16_label18 = g_quark_from_static_string ("photo")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 3570 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp69_ = NULL;
							const gchar* _tmp70_ = NULL;
							const gchar* _tmp71_ = NULL;
#line 408 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp69_ = _data17_->combobox;
#line 408 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp70_ = media_source;
#line 408 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp71_ = _ ("Photo");
#line 408 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp69_, _tmp70_, _tmp71_);
#line 409 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 3586 "OptionsPage.c"
						}
					}
				} else if ((_tmp17_ == ((0 != _tmp16_label19) ? _tmp16_label19 : (_tmp16_label19 = g_quark_from_static_string ("asf")))) || (_tmp17_ == ((0 != _tmp16_label20) ? _tmp16_label20 : (_tmp16_label20 = g_quark_from_static_string ("rear"))))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 3592 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp72_ = NULL;
							const gchar* _tmp73_ = NULL;
							const gchar* _tmp74_ = NULL;
#line 412 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp72_ = _data17_->combobox;
#line 412 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp73_ = media_source;
#line 412 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp74_ = _ ("Rear");
#line 412 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp72_, _tmp73_, _tmp74_);
#line 413 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 3608 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label21) ? _tmp16_label21 : (_tmp16_label21 = g_quark_from_static_string ("right")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 3614 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp75_ = NULL;
							const gchar* _tmp76_ = NULL;
							const gchar* _tmp77_ = NULL;
#line 415 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp75_ = _data17_->combobox;
#line 415 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp76_ = media_source;
#line 415 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp77_ = _ ("Right");
#line 415 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp75_, _tmp76_, _tmp77_);
#line 416 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 3630 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label22) ? _tmp16_label22 : (_tmp16_label22 = g_quark_from_static_string ("side")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 3636 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp78_ = NULL;
							const gchar* _tmp79_ = NULL;
							const gchar* _tmp80_ = NULL;
#line 418 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp78_ = _data17_->combobox;
#line 418 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp79_ = media_source;
#line 418 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp80_ = _ ("Side");
#line 418 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp78_, _tmp79_, _tmp80_);
#line 419 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 3652 "OptionsPage.c"
						}
					}
				} else if (_tmp17_ == ((0 != _tmp16_label23) ? _tmp16_label23 : (_tmp16_label23 = g_quark_from_static_string ("top")))) {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 3658 "OptionsPage.c"
						default:
						{
							GtkComboBoxText* _tmp81_ = NULL;
							const gchar* _tmp82_ = NULL;
							const gchar* _tmp83_ = NULL;
#line 421 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp81_ = _data17_->combobox;
#line 421 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp82_ = media_source;
#line 421 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp83_ = _ ("Top");
#line 421 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							gtk_combo_box_text_append (_tmp81_, _tmp82_, _tmp83_);
#line 422 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 3674 "OptionsPage.c"
						}
					}
				} else {
#line 354 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
					switch (0) {
#line 3680 "OptionsPage.c"
						default:
						{
							const gchar* _tmp84_ = NULL;
							gboolean _tmp85_ = FALSE;
#line 424 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp84_ = media_source;
#line 424 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							_tmp85_ = string_contains (_tmp84_, "roll-");
#line 424 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							if (_tmp85_) {
#line 3691 "OptionsPage.c"
								gint number = 0;
								const gchar* _tmp86_ = NULL;
								gchar* _tmp87_ = NULL;
								gchar* _tmp88_ = NULL;
								gint _tmp89_ = 0;
								gint _tmp90_ = 0;
								GtkComboBoxText* _tmp91_ = NULL;
								const gchar* _tmp92_ = NULL;
								const gchar* _tmp93_ = NULL;
								gint _tmp94_ = 0;
								gchar* _tmp95_ = NULL;
								gchar* _tmp96_ = NULL;
#line 425 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_tmp86_ = media_source;
#line 425 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_tmp87_ = string_replace (_tmp86_, "roll-", "");
#line 425 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_tmp88_ = _tmp87_;
#line 425 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_tmp89_ = atoi (_tmp88_);
#line 425 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_tmp90_ = _tmp89_;
#line 425 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_g_free0 (_tmp88_);
#line 425 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								number = _tmp90_;
#line 426 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_tmp91_ = _data17_->combobox;
#line 426 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_tmp92_ = media_source;
#line 426 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_tmp93_ = _ ("Roll %d");
#line 426 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_tmp94_ = number;
#line 426 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_tmp95_ = g_strdup_printf (_tmp93_, _tmp94_);
#line 426 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_tmp96_ = _tmp95_;
#line 426 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								gtk_combo_box_text_append (_tmp91_, _tmp92_, _tmp96_);
#line 426 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_g_free0 (_tmp96_);
#line 3734 "OptionsPage.c"
							} else {
								const gchar* _tmp97_ = NULL;
								gboolean _tmp98_ = FALSE;
#line 427 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_tmp97_ = media_source;
#line 427 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								_tmp98_ = string_contains (_tmp97_, "tray-");
#line 427 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
								if (_tmp98_) {
#line 3744 "OptionsPage.c"
									gint number = 0;
									const gchar* _tmp99_ = NULL;
									gchar* _tmp100_ = NULL;
									gchar* _tmp101_ = NULL;
									gint _tmp102_ = 0;
									gint _tmp103_ = 0;
									GtkComboBoxText* _tmp104_ = NULL;
									const gchar* _tmp105_ = NULL;
									const gchar* _tmp106_ = NULL;
									gint _tmp107_ = 0;
									gchar* _tmp108_ = NULL;
									gchar* _tmp109_ = NULL;
#line 428 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_tmp99_ = media_source;
#line 428 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_tmp100_ = string_replace (_tmp99_, "tray-", "");
#line 428 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_tmp101_ = _tmp100_;
#line 428 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_tmp102_ = atoi (_tmp101_);
#line 428 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_tmp103_ = _tmp102_;
#line 428 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_g_free0 (_tmp101_);
#line 428 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									number = _tmp103_;
#line 429 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_tmp104_ = _data17_->combobox;
#line 429 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_tmp105_ = media_source;
#line 429 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_tmp106_ = _ ("Tray %d");
#line 429 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_tmp107_ = number;
#line 429 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_tmp108_ = g_strdup_printf (_tmp106_, _tmp107_);
#line 429 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_tmp109_ = _tmp108_;
#line 429 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									gtk_combo_box_text_append (_tmp104_, _tmp105_, _tmp109_);
#line 429 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_g_free0 (_tmp109_);
#line 3787 "OptionsPage.c"
								} else {
									GtkComboBoxText* _tmp110_ = NULL;
									const gchar* _tmp111_ = NULL;
									const gchar* _tmp112_ = NULL;
#line 431 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_tmp110_ = _data17_->combobox;
#line 431 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_tmp111_ = media_source;
#line 431 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									_tmp112_ = media_source;
#line 431 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
									gtk_combo_box_text_append (_tmp110_, _tmp111_, _tmp112_);
#line 3800 "OptionsPage.c"
								}
							}
#line 434 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
							break;
#line 3805 "OptionsPage.c"
						}
					}
				}
#line 353 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
				_g_free0 (media_source);
#line 3811 "OptionsPage.c"
			}
#line 353 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
			_g_object_unref0 (_media_source_it);
#line 3815 "OptionsPage.c"
		}
#line 438 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp113_ = _data17_->combobox;
#line 438 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp114_ = default_media_source;
#line 438 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_combo_box_set_active_id ((GtkComboBox*) _tmp113_, _tmp114_);
#line 439 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp115_ = _data17_->combobox;
#line 439 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_signal_connect_data ((GtkComboBox*) _tmp115_, "changed", (GCallback) ____lambda36__gtk_combo_box_changed, block17_data_ref (_data17_), (GClosureNotify) block17_data_unref, 0);
#line 442 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp116_ = _ ("Paper Source:");
#line 442 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp117_ = (GtkLabel*) gtk_label_new (_tmp116_);
#line 442 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_object_ref_sink (_tmp117_);
#line 442 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		label = _tmp117_;
#line 443 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp118_ = label;
#line 443 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		g_object_set (G_TYPE_CHECK_INSTANCE_CAST (_tmp118_, gtk_misc_get_type (), GtkMisc), "xalign", (gfloat) 1, NULL);
#line 444 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp119_ = label;
#line 444 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp120_ = self->priv->row_index;
#line 444 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp119_, 1, _tmp120_, 1, 1);
#line 445 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp121_ = _data17_->combobox;
#line 445 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp122_ = self->priv->row_index;
#line 445 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		gtk_grid_attach ((GtkGrid*) self, (GtkWidget*) _tmp121_, 2, _tmp122_, 1, 1);
#line 446 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_tmp123_ = self->priv->row_index;
#line 446 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		self->priv->row_index = _tmp123_ + 1;
#line 351 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_g_object_unref0 (label);
#line 351 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		block17_data_unref (_data17_);
#line 351 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
		_data17_ = NULL;
#line 3861 "OptionsPage.c"
	}
#line 348 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_g_free0 (default_media_source);
#line 348 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_g_object_unref0 (media_sources);
#line 3867 "OptionsPage.c"
}


static void printers_options_page_class_init (PrintersOptionsPageClass * klass) {
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	printers_options_page_parent_class = g_type_class_peek_parent (klass);
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	g_type_class_add_private (klass, sizeof (PrintersOptionsPagePrivate));
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	G_OBJECT_CLASS (klass)->finalize = printers_options_page_finalize;
#line 3878 "OptionsPage.c"
}


static void printers_options_page_instance_init (PrintersOptionsPage * self) {
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	self->priv = PRINTERS_OPTIONS_PAGE_GET_PRIVATE (self);
#line 25 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	self->priv->row_index = 0;
#line 3887 "OptionsPage.c"
}


static void printers_options_page_finalize (GObject* obj) {
	PrintersOptionsPage * self;
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, PRINTERS_TYPE_OPTIONS_PAGE, PrintersOptionsPage);
#line 24 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	_g_object_unref0 (self->priv->printer);
#line 23 "/builddir/build/BUILD/switchboard-plug-printers-0.1/src/OptionsPage.vala"
	G_OBJECT_CLASS (printers_options_page_parent_class)->finalize (obj);
#line 3899 "OptionsPage.c"
}


GType printers_options_page_get_type (void) {
	static volatile gsize printers_options_page_type_id__volatile = 0;
	if (g_once_init_enter (&printers_options_page_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (PrintersOptionsPageClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) printers_options_page_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (PrintersOptionsPage), 0, (GInstanceInitFunc) printers_options_page_instance_init, NULL };
		GType printers_options_page_type_id;
		printers_options_page_type_id = g_type_register_static (gtk_grid_get_type (), "PrintersOptionsPage", &g_define_type_info, 0);
		g_once_init_leave (&printers_options_page_type_id__volatile, printers_options_page_type_id);
	}
	return printers_options_page_type_id__volatile;
}



